<!DOCTYPE html>
<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9]>    <html class="ie9" <?php language_attributes(); ?>> <![endif]-->
<!-- Consider adding a manifest.appcache: h5bp.com/d/Offline -->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head> <!-- Start of head  -->
	<meta charset="utf-8">

     <?php 	global $current_user,$helper,$super_options;
	 		$logourl = ($super_options[SN."_logo"]=="") ? URL."/sprites/i/logo.png" : $super_options[SN."_logo"];
			if($super_options[SN.'_mobile_view']!="false") : ?>

   			 <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
   <?php else: ?>
     		 <meta name="viewport" content="width=1080">
   <?php endif; ?>

   <?php if($super_options[SN.'_seo']!="false") :

   $stitle =  $super_options[SN.'_title'];
   $mdesc =   $super_options[SN.'_meta_description'];
   $mkeyword = $super_options[SN.'_meta_keywords'];

   global $post;

   if(  is_page() || is_single() ) :
   if(get_post_meta($post->ID, "p_title", true ) !="")  $stitle = get_post_meta($post->ID, "p_title", true );
   if(get_post_meta($post->ID, "meta_desc", true ) !="")  $mdesc =  get_post_meta($post->ID, "meta_desc", true );
   if(get_post_meta($post->ID, "meta_keywords", true ) !="")	  $mkeyword =  get_post_meta($post->ID, "meta_keywords", true );
   endif; ?>

	<title><?php  echo $stitle;  ?></title>

    <meta name="description" content="<?php  echo  $mdesc;  ?>">
    <meta name="keywords" content="<?php  echo $mkeyword;  ?>">

  <?php else:
 ?><title><?php
  if(is_home()) echo bloginfo(__('name') , 'h-framework' );
              elseif(is_category()) {
                   _e('Browsing the Category ' , 'h-framework' );
                    wp_title(' ', true, '');
            } elseif(is_archive()) wp_title('', true,'');
              elseif(is_search())  echo __( 'Search Results for' , 'h-framework' ).$s;
              elseif(is_404())     _e( '404 - Page got lost!'  , 'h-framework');
              else                 bloginfo(__('name' , 'h-framework')); wp_title(__('-' , 'h-framework'), true, '');
  ?></title><?php

  endif; ?>

    <?php if($super_options[SN."_favicon"]!="")  : ?>
      <link rel="shortcut icon" href="<?php echo $super_options[SN."_favicon"]; ?>" />
      <?php endif; ?>
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" /><!-- Feed  -->
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php if ( is_singular() && get_option( 'thread_comments' ) )  wp_enqueue_script( 'comment-reply' );    ?>

    <!--[if (gte IE 6)&(lte IE 8)]>
      <script type="text/javascript" src="<?php echo URL; ?>/sprites/js/selectivizr-min.js"></script>
      <noscript><link rel="stylesheet" href="[fallback css]" /></noscript>
    <![endif]-->


    <!--[if IE 9]>
            <link rel="stylesheet" type="text/css" href="<?php echo URL; ?>/sprites/stylesheets/ie9.css" />
    <![endif]-->
    <!--[if IE 8]>
            <link rel="stylesheet" type="text/css" href="<?php echo URL; ?>/sprites/stylesheets/ie8.css" />
        <![endif]-->
     <!--[if IE 7]>
            <link rel="stylesheet" type="text/css" href="<?php echo URL; ?>/sprites/stylesheets/ie7.css" />
     <![endif]-->

     <script type="text/javascript">
	  <?php
		  echo stripslashes($super_options[SN."_headjs_code"]);
	  ?>
	  </script>
        <?php  wp_head();  ?>
</head> <!-- End of Head -->

<body <?php body_class(); ?>> <!-- Start of body  -->

<div class="bg-texture <?php echo $super_options[SN."_plain_theme"] ?>">
<div class="super-wrapper clearfix" data-cart-link="<?php echo HURL; ?>/helper/builder_listener.php" > <!-- Super Wrapper For ALL the Content -->

<div class="site-header">
<div class="top <?php if($super_options[SN.'_topbar_enable']=="true") echo 'shift-up'; ?> <?php echo 'header-'.str_replace(" ", "-", $super_options[SN."_headerlayout"]); ?>">

  <div class="skeleton">
		<div class="top-menu">

		  <?php

				if(function_exists("wp_nav_menu")) {
					wp_nav_menu(array(
						'theme_location'=>'top_nav',
						'container'=>'',
						'depth' => 3,
						'menu_class' => 'reconize menu',
						'menu_id' => 'topmenu',
						'fallback_cb' => false
					));
	  		}
	  	?>

		</div>

    <nav class="top-social-icons clearfix">
      <?php if($super_options[SN."_linkedin_link"]!="" ) : ?><a class='symbol' title='circlelinkedin' href='<?php echo $super_options[SN."_linkedin_link"]; ?>'></a><?php endif; ?>
      <?php if($super_options[SN."_tumblr_link"]!="" ) : ?><a class='symbol' title='circletumblr' href='<?php echo $super_options[SN."_tumblr_link"]; ?>'></a><?php endif; ?>
      <?php if($super_options[SN."_youtube_link"]!="" ) : ?><a class='symbol' title='circleyoutube' href='<?php echo $super_options[SN."_youtube_link"]; ?>'></a><?php endif; ?>
      <?php if($super_options[SN."_google_link"]!="" ) : ?><a class='symbol' title='circlegoogleplus' href='<?php echo $super_options[SN."_google_link"]; ?>'></a><?php endif; ?>
      <?php if($super_options[SN."_twitter_link"]!="" ) : ?><a class='symbol' title='circletwitterbird' href='<?php echo $super_options[SN."_twitter_link"]; ?>'></a><?php endif; ?>
      <?php if($super_options[SN."_facebook_link"]!="" ) : ?><a class='symbol' title='circlefacebook' href='<?php echo $super_options[SN."_facebook_link"]; ?>'></a><?php endif; ?>
      <?php if($super_options[SN."_rss_link"]!="" ) : ?><a class='symbol' title='circlerss' href='<?php echo $super_options[SN."_rss_link"]; ?>'></a><?php endif; ?>
      <?php if($super_options[SN."_skype_link"]!="" ) : ?><a class='symbol' title='circleskype' href='<?php echo $super_options[SN."_skype_link"]; ?>'></a><?php endif; ?>
      <?php if($super_options[SN."_vimeo_link"]!="" ) : ?><a class='symbol' title='circlevimeo' href='<?php echo $super_options[SN."_vimeo_link"]; ?>'></a><?php endif; ?>
    </nav>

  </div>
</div>

<div class="top-area <?php echo 'header-'.str_replace(" ", "-", $super_options[SN."_headerlayout"]); ?>">
  <div class="clearfix box_skeleton skeleton">
  <h2 id="logo" class=""><a href="<?php echo home_url(); ?>"><img src="<?php echo $logourl; ?>" alt="logo" /></a></h2>

    <div id="menu-bar-wrapper" class="thunder_listener menu-algorithm">

     <div id="menu-bar">

				<?php

					if(function_exists("wp_nav_menu")) {
						wp_nav_menu(array(
							'theme_location'=>'primary_nav',
							'container'=>'',
							'depth' => 3,
							'container_class' => 'clearfix',
							'menu_id' => 'menu',
							'fallback_cb' => false,
							'walker' => new H_Menu_Frontend()
						));
					}
				?>
     </div>
  </div>


  </div>
</div>

</div>

<div id="menu-filler"></div>

