<?php

global $portfolio_options,$paged,$more,$helper;

/*
	'items_limit' => $super_options[SN."_portfolio2_item_limit"],
	'content_limit' =>  (int)$super_options[SN."_portfolio2_limit"],
	'categories' => $categories,
	'meta_filters => $meta,
	'order' => $order,
	'width' => $width ,
	'height' => $height,
	'meta_data' => true,
	'clear' => 2,
	'label' => 'portfolio-item-2-',
	'lightbox' => true

*/

$limit = $cats = '';

if($portfolio_options['categories'] && count($portfolio_options['categories']) > 0 ) {
	 $cats = "tax=portfoliocategories&portfoliocategories=".implode(",",$portfolio_options['categories'])."&";
}


if($portfolio_options['meta_filters']!="none") {
	$cats = $cats . "orderby=$portfolio_options[meta_filters]&";
}

$cats = $cats."order=$portfolio_options[order]&";

if(!isset($portfolio_options['desc'])) $portfolio_options['desc'] = true;

$counter = $portfolio_options['clear'];

$height = $portfolio_options['height'] ; $width = $portfolio_options['width'];
if($portfolio_options['items_limit']) $limit = "posts_per_page=$portfolio_options[items_limit]";

query_posts("{$cats}{$limit}&post_type=portfolio".'&paged='.$paged);

?>

		 <ul class="clearfix posts">
          <?php

          	$i = 0;

	        if ( have_posts() ) : while ( have_posts() ) : the_post();
		    $oddc = '';
            $more = 0;
			if($counter==0 )
			{
				$counter = $portfolio_options['clear'];
			//	echo "<li class='separator clearfix'></li>";
			}
	      ?>
    <li class="clearfix portfolio-item <?php echo $portfolio_options['label'].''.$counter;
				 $terms  = get_the_terms($post->ID,'portfoliocategories');
				 if ( !empty( $terms ) ) {
		  			$out = array();
					foreach ( $terms as $c )
						echo ' '.strtolower(str_replace(' ','_',$c->name));

				}
				 ?>" data-id="<?php echo $post->ID; ?>">

		<div class="image">
			<?php

				// $featured_media =    get_post_meta($post->ID,'_featured_media',true);
				$featured_media = "featured-image" ;
				$video_link  =    get_post_meta($post->ID,'_video_link',true);

				if ($featured_media == "featured-image" && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) :

					$id = get_post_thumbnail_id();
					$ar = wp_get_attachment_image_src( $id , array(9999,9999) );

					if($portfolio_options['lightbox']=="true"){
						$link = get_permalink();
						echo '<div class="imageholder-wrapper clearfix">'.$helper->imageDisplay(array( "src" => $ar[0] , "height" =>$portfolio_options['height'] , "width" => $portfolio_options['width'], "link" => get_permalink(),  "lightbox" => true ))."</div>";
					} else {
						$link = $ar[0];
						echo '<div class="imageholder-wrapper clearfix">'.$helper->imageDisplay(array( "src" => $ar[0] , "height" =>$portfolio_options['height'] , "width" => $portfolio_options['width'], "link" => get_permalink(),  "lightbox" => true ))."</div>";
					}

				elseif(  $featured_media=="video" ) :

					echo '<div class="single-video">'.do_shortcode("[video height=".($width/2+50)." width='$width' ]{$video_link}[/video]").'</div>';


				elseif( $featured_media=="slideshow" ) :

					$portfolio_meta_data = array(
						"slides" =>  get_post_meta($post->ID,"gallery_items",true),
						"width" => $portfolio_options['width'], "height" =>  $portfolio_options['height']
					);

					$markup = " <div class='qSlider sliderStyled' style='width:{$portfolio_meta_data[width]}px;height:{$portfolio_meta_data[height]}px;'><ul class='slides fadeSlider' style='width:{$portfolio_meta_data[width]}px;height:{$portfolio_meta_data[height]}px;'  data-width='$portfolio_meta_data[width]' data-height='$portfolio_meta_data[height]' data-time='5000' data-responsive='true' data-preloading='false' data-autoplay='true' data-arrows='true' data-bullets='false'> ";

					foreach($portfolio_meta_data['slides'] as $slide) {
						if( $slide['src']!="") :
							$src = $helper->imageDisplay( array( "src" => $slide['src'], "height" => $portfolio_meta_data['height'], "width" => $portfolio_meta_data['width'] ,'class' => ' thunder_image '  ) );
							$markup = $markup."<li> $src $desc </li>";
						endif;
					}

					$markup = $markup."</ul></div>";
					echo  $markup;

				endif;
			?>
		</div>

		<section class='folio-overlay'>
			<header>
				<h2><?php the_title(); ?></h2>
			</header>
			<?php
				$content = get_the_content('');
				$content = apply_filters('the_content', $content);
				$content = str_replace(']]>', ']]&gt;', $content);
				echo "<p>".$helper->getShortenContent( 100 ,  strip_tags( $content  ) )."</p>";
			?>
			<a href="<?php echo  $ar[0]; ?>" title="<?php the_title(); ?>" class="lightbox">Open in lightbox</a>
			<a href="<?php echo  get_permalink() ?>" class="link">View</a>
		</section>

	</li>
	<?php  $i++; $counter--; endwhile; else:
		echo  '<h4>'.__("No posts yet !",'h-framework').'</h4>';
		endif;
	?>
</ul>