<?php

// == Layout Calculation =========================================


$sidebar1 =    get_post_meta($post->ID,'_dynamic_sidebar',true);

$titan_template =    get_post_meta($post->ID,'_titan_template',true);

$featured_media =    get_post_meta($post->ID,'_featured_media',true);
if($featured_media=="") $featured_media = "none";

$video_link  =    get_post_meta($post->ID,'_video_link',true);

$dim = $helper->getDimensions();

$layout = $dim['layout'];

$content_width = $dim['cw'];

$height = $dim['height'];
$width = $dim['width'];

$slides =  get_post_meta($post->ID,"gallery_items",true);


get_header(); ?>
	<?php $page_style =  strtolower(get_post_meta($post->ID,"_page_style",true)); ?>
	<?php if( $page_style == "slider" ) : //check if homepage slider is active ?>

	    <?php $main_slider =  strtolower(get_post_meta($post->ID,"_main_slider",true)); ?>
    	<?php $slider_type =  strtolower(get_post_meta($post->ID,"_slider_type",true)); ?>

	    <?php

	        /* Grab the slider id from the DB */
	        $table_db_name = $wpdb->prefix . "revslider_sliders";
	        $slider =  array_shift($wpdb->get_results("SELECT * FROM $table_db_name WHERE title = '".$main_slider."'",ARRAY_A));
	        $slider_alias = $slider['alias'];

	        /* Output slider with shortcode */

	    ?>
	    <?php putRevSlider($slider_alias); ?>

	<?php elseif ($page_style == 'title'): ?>

	<?php
	$title = get_the_title();
	$subtitle = '';
	if( get_post_meta($post->ID,"intro_title",true) != "" ) $title = get_post_meta($post->ID,"intro_title",true);
	if( get_post_meta($post->ID,"intro_text",true) != "" )  $subtitle = get_post_meta($post->ID,"intro_text",true);

	?>
		<div class="title-wrap <?php echo $super_options[SN."_breadcrumbs_enable"]!="true" ? 'no-breadcrumb' : null; ?>">
		  	<div class="wrap">
		    	<div class="skeleton">
		        		<h1 class="custom-title" ><?php echo $title; ?></h1>
		            <?php if($subtitle!="") :?><h3 class="page-subtitle"><?php echo $subtitle; ?></h3><?php endif; ?>
		            <?php get_search_form(); ?>
		         </div>
		     </div>
		</div>
	<?php endif; ?>
<div class="page-wrapper">
	<?php  if($super_options[SN."_breadcrumbs_enable"]=="true" && !is_front_page() && $titan_template == 'none') $helper->breadcrumbs(); ?> <!-- The breadcrumb for the theme -->

<?php
	if( $titan_template!="" && $titan_template!="none" ) :

	echo "<div class='titan-template'>";
	get_template_part('includes/titan_template');
	echo '</div>';
?>
<?php else : ?>
	<?php  if(have_posts()): while(have_posts()) : the_post(); ?>
		<div class="skeleton box_skeleton page content   <?php echo $layout; ?> clearfix"> <!-- Start of loop -->
			<?php if($layout=="hasDoubleSidebar") { $first_sidebar = true;  get_sidebar(); }    ?>

			<div class="<?php echo $content_width; ?>" id="main-content">
				<?php echo "<div class='page-content'>"; the_content(); echo "</div>"; ?>
				<?php   if($super_options[SN."_page_comments"]=="true") :  ?>

					<div id="comments_template">
						<?php comments_template(); ?>
					</div>
				<?php endif; ?>
			</div>
			<?php   if($layout!="full-width") {  $first_sidebar = false; get_sidebar(); }     ?>
			<?php wp_link_pages(); ?>
		</div>
	</div>


	<?php endwhile; endif; ?> <!-- End of loop -->
<?php endif; ?>


<?php get_footer(); ?>
