<?php

	// == Layout Calculation =========================================

	$featured_media =    get_post_meta($post->ID,'_featured_media',true);
	$video_link  =    get_post_meta($post->ID,'_video_link',true);

	$slides = get_post_meta($post->ID,"gallery_items",true);
	if(!is_array($slides)) $slides = array();

	$dim = $helper->getDimensions();

	$layout = $dim['layout'];
	$content_width = $dim['cw'];
	$height = 628;
	$width = $dim['width'];



	$portfolio_meta_data = array(
	 "slides" =>  $slides,
	 "width" => $width, "height" => $height
	);

	$sl_type = 'fade';

	get_header();
?>

<?php if(have_posts()): while(have_posts()) : the_post(); ?>

<?php $title = get_the_title(); ?>

<div class="bottom-home-bar"></div>
</div>

<div class="page-wrapper">
	<div class="skeleton page content single-portfolio <?php echo $dim['layout']; ?> clearfix">

		<?php



	    if ($featured_media == "featured-image" && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) :

			$id = get_post_thumbnail_id();
		    $ar = wp_get_attachment_image_src( $id, array(9999,9999) );

		    echo '<div class="single-image preload">'.$helper->imageDisplay( array( "src"=> $ar[0] ,"width" => $width,"height" => $width , "parent_wrap" => false , "advance_query" => "&amp;a=t;" , 'imgclass' => ' thunder_image ' ) ).'</div>';

		elseif(  $featured_media=="video" ) :

		echo '<div class="single-video">'.do_shortcode("[internalvideo height=".($height)." width='$width' ]{$video_link}[/internalvideo]").'</div>';

		elseif  ( $featured_media=="slideshow" ):

     		 get_template_part('includes/slideshow-portfolio');
        endif; ?>

		<div class=" <?php echo $dim['cw']; ?>" id="main-content">

			<div class="single_portfolio_content clearfix ">
				<h1 class="custon-title single-product-title"><?php  the_title(); ?></h1>
				<?php the_content(); ?>
			</div>

     	<div class="project-nav clearfix">
      	<?php $prev_post = get_adjacent_post(false,'',false) ; if($prev_post) echo "<a class='nav-p' href='".get_permalink($prev_post->ID)."'>Previous </a>"; ?>
      	<?php  $next_post = get_adjacent_post(false,'',true) ;if($next_post)  echo "<a class='nav-n' href='".get_permalink($next_post->ID)."'> Next</a>"; ?>
			</div>

      <div class="portfolio-metadata clearfix">
				<h3 class="custom-title"><?php _e('Related Projects','h-framework'); ?></h3>
      	<ul class="related-posts clearfix preload">
   				<?php
						$filter = wp_get_post_terms($post->ID, 'portfoliocategories' );
						$f_c = array();
						foreach($filter as $f)
						$f_c[]  =  $f->slug;

						$args = array(
							'post_type' => 'portfolio',
							'posts_per_page' => 4,
							'post__not_in' => array($post->ID),
							'tax_query' => array(
								array(
									'taxonomy' => 'portfoliocategories',
									'field' => 'slug',
									'terms' => $f_c
								)
							)
						);


						$the_query = new WP_Query($args); $i =0;
						$post_output = "";

						while ( $the_query->have_posts() ) : $the_query->the_post();

							$id = get_post_thumbnail_id();
							$ar = wp_get_attachment_image_src( $id , array(9999,9999) );
							$theImageSrc = $helper->getMUFix($ar[0]);

							$post_output .= '<li class="portfolio-item'; if($i%3==0 && $i!=0 ) $post_output .= " nomarginright"; $post_output .='">';
								$post_output .= '<div class="image">';
									$post_output .= $helper->imageDisplay(array( "src" => $theImageSrc , "width" => 231 ,"height" => 190 , "link" =>  get_permalink() ,"lightbox" => false ));
								$post_output .= '</div>';

								$post_output .= '<section class="folio-overlay">';
									$post_output .= '<header>';
										$post_output .= '<h2>'.get_the_title().'</h2>';
									$post_output .= '</header>';

									$content = apply_filters('the_content', get_the_content(''));
									$content = str_replace(']]>', ']]&gt;', $content);
									$post_output .= '<p>'.$helper->getShortenContent(100, strip_tags( $content )).'</p>';

									$post_output .= '<a href="'. $ar[0] .'" title="'. get_the_title() .'" class="lightbox">Open in lightbox</a>';
									$post_output .= '<a href="'. get_permalink() .'" class="link">View</a>';
								$post_output .= '</section>';


							$post_output .= '</li>';

						  $i++;
						endwhile;

						echo $post_output;
   				?>
    		</ul>
			</div>

	    <div class="clearfix">
	      <?php   if($super_options[SN."_portfolio_comments"]=="true") :  ?>
	     	 <div id="comments_template">
	      		<?php comments_template(); ?>
	     	 </div>
	      <?php endif; ?>
	    </div>
		</div>
		<?php   if($layout!="full-width") {  $first_sidebar = false; get_sidebar(); }     ?>
	</div>
</div>

<?php endwhile; endif; ?> <!-- End of loop -->
<?php get_footer(); ?>
