/*
   ~~ == REDILS ==================================
   
   Development Version : 0.1 
   This Product is copyrighted and cannot be used without proper license or Author's Permission
   
*/


//;(function ( $, window, document, undefined ) {



// == Global Constants for plugin ================

var pluginName = 'Redils',
    defaults = {
                    width:1140 , 
                    height:450 ,
                    duration : 5000,
                    slider_type :  'jquery',
                    caption : true,
                    autoplay :  true,
                    pause_on_hover :  true,
                    
                    // Panel 2 
                    
                    thumbnails : false,
                    progress_bar :  true,
                    timelinePosition : 'bottom',
                    circular_timer : false,
                    counter :  false,
                    arrow_control :  true,
                    bullets_control : true,
                    
                    // Panel 3
                    
                    tablet_width :  '', 
                    tablet_height :  '', 
                    tablet_potrait_width :  '', 
                    tablet_potrait_height : '', 
                    phone_width : '', 
                    phone_height : '', 
                    phone_landscape_width : '', 
                    phone_landscape_height : '', 
                    phone_potrait_width : '', 
                    phone_potrait_height :  '', 
                    
                    responsive :  true,
                    touch_enabled :  true,
                    preloading : true,
                    
                    // Panel 4    
                    
                    stop_after_loops :  "none",
                    stop_at_slide : "none",
                    popup_links :  false,
                    animation_speed :  'slow',
                    
                
                
                    resize: 'fill' , 
                    debugMode : true,
                    onSlideEnd : 'wait' // wait : wait for layer to finish , instant : clear layers instantly , end : instantly start animation of layers along with slide
                    
               };


// == constructor ================================

function Redils( element, options ) {
    "use strict";
    this.options = jQuery.extend(defaults, options) ;
    
    this._defaults = defaults;
    this._name = "Redils";
    this.rawEl = element;
    this.element = jQuery(element);
    this.timer = null;
    this.sideHolder = null;
    this.activeHolder = null;
    this.len = 0;
    this.current = null;
    this.prev = null;
    this.next = null;
    this.trigger = 0;
    this.isTranslatable = true;
    this.jqueryTimer = null;
    this.progressbar = null;
    this.circularTimer = null;
    this.bullets = null;
    this.thumbs = null;
    this.counter = null;
    
    this.hoverFlag = false;
    this.flag = false;
    
    this.loops = 0;
    this.firstSlide = true;
    
    this.responsivePercent = 100;
    this.isresponsive = false;
    
    this.r= { };
    
    var  wait ,
       
        i , j , k , temp , obj = this,  // Temporary & resuable variables
        sliderMarkup = " <div class='r-active-slide redils-slide'><div clas='r-inner-wrap'></div></div> <div class='r-next-slide redils-slide'><div clas='r-inner-wrap'></div></div> <div class='slider-control'><a href='' class='r-prev-arrow-control prev'></a> <a  href='' class='r-next-arrow-control next'></a></div>",
        slides = null,
        layers = null,
        mainImages = null;
        
        this.htmldatamap = function()
        {
          var temp = this.element.data();
          this.options = temp;
          this.options.duration = parseFloat(this.options.duration) * 1000;    
          
          if(this.options.fullwidth) { this.options.width = this.element.parent().width(); }
          obj.options.progress_bar = false;
          obj.options.onSlideEnd = "wait";
        };
          
  this.init = function() {
    if (!jQuery.support.transition) { this.isTranslatable = false; }
             
              if(this.options.domMapping) { this.htmldatamap(); }
              this.element.addClass('redils-'+this.options.slider_type);
              this.element.width(this.options.width);
              this.element.height(this.options.height);
              this.r.w = this.options.width;
               this.r.h = this.options.height; 
								slides = this.element.find('div.redils-slide');
								layers =  []; mainImages = [];
								var ot,full_left = 0;
								var pdim = '';
								if(obj.options.fullwidth)  {
						 full_left = this.element.width()/2 - this.options.slider_layer_width/2;
						 pdim = "width:"+this.options.slider_layer_width+"px;left:"+full_left+"px;"; 
						}
								slides.each(function(i){
									temp = jQuery(this);
						layers[i] =  '<div class="layers " style="visibility:hidden;'+pdim+'">'+temp.find('div.layers').html()+'</div>';
						mainImages[i] = temp.find('div.rmain-image').html(); });
              this.len = mainImages.length;
              
              this.debug(mainImages);
              
              slides.remove();
              this.element.width(this.options.width);
              this.element.height(this.options.height);
              
              this.rawEl.innerHTML = sliderMarkup;
              
              this.current= 0;
              
              
              if( this.options.progress_bar)
              {
               this.element.append('<div class="redils-progress-bar"><div></div></div>');
               
               this.progressbar = this.element.find('div.redils-progress-bar div');
               
              }
              if(this.options.bullets_control)
              {
                  temp = '<ul class="redils-bullet-controls">';
                  for(i=0;i<this.len;i++)
                  {
                      if(i===0) 
                      { temp = temp + '<li class="active">'+(i+1)+'</li>'; }
                      else
                      { temp = temp + '<li>'+(i+1)+'</li>'; }
                     
                  }
                    temp = temp + '</ul>';
                   this.element.append(temp);
                   this.bullets = this.element.find('ul.redils-bullet-controls li');
                   
                   this.bullets.live('click',function(){
                     if(obj.flag) { return; }
                         
                     if(obj.options.autoplay) {  clearInterval(obj.timer); }
                         
                         temp = obj.sideHolder;
                         obj.sideHolder = obj.activeHolder; 
                         obj.activeHolder = temp;
                         
                         var t = obj.bullets.index(jQuery(this));
                         obj.current = t;
                         obj.activeHolder.addClass('r-active-slide').removeClass('r-next-slide'); 
                         obj.sideHolder.addClass('r-next-slide').removeClass('r-active-slide'); 
                         
                         obj.sideHolder = obj.element.children('div.r-next-slide'); 
                          obj.setupSlide(t);
                          
                       
                       });
              }
              if(this.options.thumbnails)
              {
                   temp = '<ul class="redils-thumb-controls">';
                  for(i=0;i<this.len;i++)
                  {
                      if(i===0) 
                      { temp = temp + '<li class="active">'+mainImages[i]+'</li>'; }
                      else
                      { temp = temp + '<li>'+mainImages[i]+'</li>'; }
                     
                  }
                    temp = temp + '</ul>';
                   this.element.append(temp);
                   this.thumbs = this.element.find('ul.redils-thumb-controls li');
                   
                   this.thumbs.live('click',function(){
                     if(obj.flag) { return; }
                         
                     if(obj.options.autoplay) { clearInterval(obj.timer); }
                         
                         temp = obj.sideHolder;
                         obj.sideHolder = obj.activeHolder; 
                         obj.activeHolder = temp;
                         
                         var t = obj.thumbs.index(jQuery(this));
                         obj.current = t;
                         obj.activeHolder.addClass('r-active-slide').removeClass('r-next-slide'); 
                         obj.sideHolder.addClass('r-next-slide').removeClass('r-active-slide'); 
                         
                         obj.sideHolder = obj.element.children('div.r-next-slide'); 
                          obj.setupSlide(t);
                          
                       
                       });
                       
              }
              if(this.options.counter)
              {
                  temp = '<div class="counter"><span class="current">1</span> / <span class="total">'+this.len+'</span></div>';
                  this.element.append(temp);
                  
                  this.counter = this.element.find('span.current');
              }
              if(this.options.touch_enabled)
              {
                  
                      this.element.live("swipeleft",function(){ 
                        if(obj.flag) { return; }
                  
                        if(obj.options.autoplay) { clearInterval(obj.timer); }
                  
                   temp = obj.sideHolder;
             obj.sideHolder = obj.activeHolder; 
             obj.activeHolder = temp;
             
             var t = (obj.len-1 === obj.current ) ? obj.current = 0 : obj.current+1;
             
             obj.activeHolder.addClass('r-active-slide').removeClass('r-next-slide'); 
             obj.sideHolder.addClass('r-next-slide').removeClass('r-active-slide'); 
             
             obj.sideHolder = obj.element.children('div.r-next-slide'); 
              obj.setupSlide(t);
                    });
                    this.element.live("swiperight",function(){ 
                      if(obj.flag){  return; }
                       if(obj.options.autoplay)   {   clearInterval(obj.timer); }
                   temp = obj.sideHolder;
             obj.sideHolder = obj.activeHolder; 
             obj.activeHolder = temp;
             
             var t = ( 0 === obj.current ) ? obj.current = obj.len-1  : obj.current- 1;
             
             obj.activeHolder.addClass('r-active-slide').removeClass('r-next-slide'); 
             obj.sideHolder.addClass('r-next-slide').removeClass('r-active-slide'); 
             
             obj.sideHolder = obj.element.children('div.r-next-slide'); 
              obj.setupSlide(t);
                    });
                    
              }
              if(this.options.responsive==="auto")
              {
                  var r = setTimeout(function(){ obj.responsiveAuto();      obj.resetLayer();   },100);
                  jQuery(window).resize(function(){
                      clearTimeout(r);
                      obj.responsiveAuto();
                      r = setTimeout(function(){ obj.responsiveAuto();       obj.resetLayer(); },300);
                      });
                  
              }
              else if(this.options.responsive ==="def")
              {
                  
                 jQuery(window).resize(function(){
                     
                      enquire.register("screen and  (min-width: 1024px)", {

                                match : function() {
                                     obj.element.css({ width: obj.options.width , height : obj.options.height });
                                }
                            
                            }).register("screen and  (min-width: 768px) and (max-width: 1024px) ", {

                                match : function() {
                                     obj.element.css({ width: obj.options.tablet_width , height : obj.options.tablet_height });
                                }
                            
                            }).register("screen and (min-width: 768px) and (max-width: 979px)  and (orientation:portrait)", {
                            
                                match : function() {
                                    obj.element.css({ width: obj.options.tablet_potrait_width , height : obj.options.tablet_potrait_height });
                                }
                            
                            }).register("screen and (max-width: 767px)", {
                            
                                match : function() {
                                    obj.element.css({ width: obj.options.phone_width , height : obj.options.phone_height });
                                }
                            
                            }).register("screen and (min-width: 480px) and (max-width: 767px) ", {
                            
                                match : function() {
                                    obj.element.css({ width: obj.options.phone_landscape_width , height : obj.options.phone_landscape_height });
                                }
                            
                            }).register("screen and (max-width: 479px)", {
                            
                                match : function() {
                                    obj.element.css({ width: obj.options.phone_potrait_width , height : obj.options.phone_potrait_height });
                                }
                            
                            }).fire();
                            
                     
                     });

              }
               
              this.activeHolder = this.element.find('div.r-active-slide');
              this.sideHolder = this.element.find('div.r-next-slide'); 
              
              
              
              this.element.delegate('div.stub','click',function(){ 
             
                if( jQuery(this).parent().data('link') && jQuery(this).parent().data('link')!=="" ) {  window.location.href = jQuery(this).parent().data('link')  ; }
             
               });
             
             
             
              this.element.delegate('div.r-next-slide','click',function(){
                 
            
            // if( obj.sideHolder.children('img').attr('alt') !== "none" && obj.sideHolder.children('img').attr('alt') !== "") window.location.href = obj.activeHolder.children('img').attr('alt') ;
             
               }); 
              
              this.activeHolder.html(mainImages[this.current]+layers[this.current]);
              
              
                        
                this.trigger= this.activeHolder.find('div.layer').length;

              
    if(this.options.autoplay && this.options.progress_bar){  obj.animateProgress();  }
             
    if(this.options.arrow_control) { this.setupArrowControls(); } else { this.element.children('a.r-prev-arrow-control,a.r-next-arrow-control').hide(); }
              
              if(this.options.pause_on_hover && false)
              {
                  this.element.hover(function(){
                      obj.hoverFlag = true;
                      clearInterval(obj.timer);
                    if(obj.options.progress_bar)  { obj.stopProgress();  }
                      
                      },function(){
                    obj.hoverFlag = false;
                      clearInterval(obj.timer);
                        if(obj.options.progress_bar)  { obj.resumeProgress(); }       
                    
                          });
              }
              
              
            
             obj.prev = obj.len-1;
             obj.current = 0;
             obj.sideHolder.html(mainImages[obj.current]+layers[this.current]);
             
             obj.sideHolder.find('div.layer').each(function(){
                        ot = jQuery(this).children('div.rtext');
                        ot.data('font_size',ot.css('font-size'));
                        ot.data('width',ot.css('width'));
                        });
             
             if( BrowserDetect.browser ==="IE" && BrowserDetect.version < 9  ) 
            {
                this.sideHolder.find('div.layer').data('effectin','fade');     
                this.sideHolder.find('div.layer').data('effectout','fade');     
            }
            
            
            
             this.trigger= this.sideHolder.find('div.layer').length;
            
            
                         jQuery('#home-slider-caption').html(obj.sideHolder.find('div.layer').find('.caption-style').html());
             obj.element.css({'opacity' :0 , 'visibility':'visible' }).animate({ opacity:1 },'slow');
            if(obj.trigger>0)
            {  obj.initLayer(obj.sideHolder); }
             
               
              if(obj.options.autoplay) 
              {

                  setTimeout(function(){   
             
                   if( obj.options.progress_bar) { obj.animateProgress();  }
                    if(obj.options.slider_type==="kenburns")  { obj.setupKBSlide(1);} else   { obj.setupSlide(1);  } 
               
             
              },3000);
              }
            
             

             
               
              } ;
        this.onPlayProgress =function () {
             if(obj.options.autoplay) { clearInterval(obj.timer); }
          if(obj.options.progress_bar)  {obj.stopProgress(); }
         
        } ;     
         this.resize = function(h,w, maxh, maxw) {
                          var ratio = maxh/maxw;
                         
                          if (h/w > ratio){
                    
                            if (h > maxh){
                              w = Math.round(w*(maxh/h));
                              h = maxh;
                            }
                          } else if (h/w < ratio) {
                                // width is the problem
                            if (w > maxh){
                              h = Math.round(h*(maxw/w));
                              w = maxw;
                            }
                            else
                            {
                                h = Math.round(h*(maxw/w));
                            }
                          } 
                    
                          return [h,w];
                        };
                
             this.scale = function(h,w, maxh, maxw) {
                          var ratio = maxh/maxw;
                          if (h/w < ratio) {
                            // width is the problem
                            if (w >= maxw){
                              h = Math.round(maxh*(w/maxw));
                              w = w;
                            }
                         
                          
                          } 
                         
                          return [h,w];
                        };
         this.responsiveAuto = function(){
            
            
            var cf = this.options.width ;
            if(this.options.fullwidth && this.options.width <  this.options.slider_layer_width )   {cf = this.options.slider_layer_width ; }
            
             if( this.element.parent().width() <  cf   ) {     
                        
                        
                            temp = this.resize(this.options.height, cf ,this.options.height,this.element.parent().width());
                            if(temp[1]>this.element.parent().width())
                            {
                                 temp[1] = this.element.parent().width() ;
                                // temp[0] = slider.height * ( parent.parent().width() / temp[1] ) ;
                            }
                         //console.log(temp[1]+" "+temp[0]);
                         
                          this.responsivePercent = ( temp[1] / cf ) * 100;
                          this.isresponsive = true;
                        
                          this.element.css({ width: temp[1] , height : temp[0] + this.element.find('.layers').height()  });
                       }
                     
                       else
                       {
                            this.responsivePercent = 100;
                            this.isresponsive = false;
                       
                           this.element.css({ width: obj.options.width , height : obj.options.height  + this.element.find('.layers').height() });
                           // parent.find(".controls").css({ "left" : slider.width - ( slider.width/2 + parent.find(".controls").width()/2 ) -10  });
                        
                       }
                 
              
             }; 
         
         this.resetLayer = function() {
             var t, o , x ,y , nw = this.element.width() , nh = this.element.height() , h ,w , wid;
             
             var cf = this.options.width ;
            if(this.options.fullwidth && this.options.width <  this.options.slider_layer_width ) { cf = this.options.slider_layer_width ; }
            
             clearTimeout(obj.timer);
             
            //console.log( this.isresponsive );
             var pdim = ( (this.options.slider_layer_width) * obj.responsivePercent/100 ); 
              var full_left = (this.element.width())/2 - pdim/2;
            
             this.sideHolder.find('div.layers').css({ width:pdim ,  left : full_left});
                  
             this.sideHolder.find('div.layer').each(function(){
                 t = jQuery(this);
                 
                if( t.children('div.rimage').length > 0 )
                 {
                     o = t.find('img,iframe');
                     
                     w = o.data('sw') * obj.responsivePercent/100;
                     h = o.data('sh') * obj.responsivePercent/100;
                    
                     o.stop(true,true).animate({ width : w , height : h },'fast');
                     
                     if(t.find('iframe').length> 0)
                     {
                          o.attr({ width : w , height : h });
                         
                     }
                 }
                 
                 
                 x = t.data('x') * nw / cf;
                 y = t.data('y') * nh / obj.options.height;
                 
                 t.data({ proxyx : x , proxyy : y });
                 });
             
             
             };       
         
         
              
         this.setupArrowControls = function(){
            var o = this;
             this.element.find('a.r-next-arrow-control').live('click',function(e){
                  e.preventDefault(); 
                  
                  if(o.flag) {return;}
                  
                 if(o.options.autoplay) {clearInterval(o.timer);}
                  
                   temp = obj.sideHolder;
             obj.sideHolder = obj.activeHolder; 
             obj.activeHolder = temp;
             
            var t = (obj.len-1 === obj.current ) ? obj.current = 0 : obj.current+1;
             
             obj.activeHolder.addClass('r-active-slide').removeClass('r-next-slide'); 
             obj.sideHolder.addClass('r-next-slide').removeClass('r-active-slide'); 
             
             obj.sideHolder = obj.element.children('div.r-next-slide'); 
              obj.setupSlide(t);
             
            
            
                 });
             
             this.element.find('a.r-prev-arrow-control').live('click',function(e){
                  e.preventDefault(); 
                   if(o.flag) {return;}
             if(o.options.autoplay)   {  clearInterval(o.timer);}
                   temp = obj.sideHolder;
             obj.sideHolder = obj.activeHolder; 
             obj.activeHolder = temp;
             
             var t = ( 0 === obj.current ) ? obj.current = obj.len-1  : obj.current- 1;
             
             obj.activeHolder.addClass('r-active-slide').removeClass('r-next-slide'); 
             obj.sideHolder.addClass('r-next-slide').removeClass('r-active-slide'); 
             
             obj.sideHolder = obj.element.children('div.r-next-slide'); 
              obj.setupSlide(t);
                
                 });
                 
             };
         this.initLayer = function(slide) {
            
             
              var master =  slide.find('div.layers');
              var layers =  master.children('div.layer'),
              t , stub, x  , y;
              
              if(this.trigger===0) {return;}
              
              layers.css("visibility",'hidden');
              master.css("visibility",'visible');
              
              layers.find('iframe.vimeo').show();
              
              this.debug("Trigger in Init : "+this.trigger);
              
              layers.each(function(){
                  
                  t = jQuery(this);
                  stub = t.children();
                  
                  y = t.data('y');
                  x = t.data('x');
                  
                  if(obj.isresponsive)
                  {
                      y = t.data('proxyy');
                      x = t.data('proxyx');
                  }
                  
                  stub.css({
                          top:y,
                          left:x
                      });
                   
                 obj.transitLayer(t,stub);
                         
                  
                  });
                 
             
             }; 
         
         this.cssEngine = function(layer,params,presets,position) {
             
              if(position==="in")
                { 
                  layer.css(presets).delay(layer.data('delay'+position)).animate(params,{ 
                    easing:layer.data('ease'+position), 
                    duration:layer.data('speed'+position),
                    complete: function(){
                                 if(layer.data('die')!=="stay") 
                                 { setTimeout(function(){ obj.endLayerTransit(layer,layer.children()); },layer.data('die'));
                                     }
                    }

                        });
                  
                }
             else
             {layer.stop().delay( layer.data('delay'+position) ).animate( 
                                                                          params,
                                                                         {     
                                                                                 easing:layer.data('ease'+position), 
                                                                                 duration:layer.data('speed'+position),
                                                                                 complete: function(){ obj.trigger--; 
                                                                         } 
                                                                  }); }
             
             };
         
         this.wordEndEngine = function(layer,stub,params,sdelay,alternate,progressive) {
              var w,l,temp;
              if( ( k = stub.children('span.r-w-a').length ) === 0 ) {
                                                              
                                                            l = jQuery.trim(stub.data('rhtml')).split(' ');
                                                            temp = [];
                                                            
                                                            for(i=0;i<l.length;i++)
                                                            {
                                                                temp.push("<span class='r-w-a'>"+l[i]+"</span>");
                                                              if(i!==l.length-1){temp.push("<span class='r-w-a'>&nbsp;</span>");}
                                                            }
                                                            
                                                            temp.join('');
                                                            stub.html(temp);
                                                            
                                                            l = l.length; 
                         }
              else{ l = k; }
                                setTimeout(function(){ 
                                                            stub.children().each(function(i){
                                                                 
                                                                 
                                                                     if(alternate === true)  { 
                                                                      if(i/2%2===0)  
                                                                      {params = { top:20 ,opacity:0 }; }
                                                                        else 
                                                                      { params = { top:-20 ,opacity:0 }; }
                                                                    }
                                                                     if(progressive!==false)   {params = { left:i * 20 ,opacity:0 }; }
                                                                    
                                                                     jQuery(this).delay(i*sdelay).animate(params,{ easing:layer.data('easeout'), duration:layer.data('speedout'),
                                                                            complete: function(){ l--; } });
                                                                
                                                                 
                                                             });
                                                            
                                                            w = setInterval(function(){
                                                                        if(l<=0)
                                                                          {
                                                                             obj.debug('Trigger Word Animation End : Trigger Value'+obj.trigger); obj.trigger--; clearInterval(w);  stub.fadeOut('normal');
                                                                        }
                                                        
                                                                    },100);
                                },layer.data('delayout'));
         };
         
         
         this.letterEndEngine = function(layer,stub,params,sdelay,alternate,progressive) {
              var w,k,r,temp;
             if( ( k = stub.children('span.r-l-a').length ) === 0 ) {
                                                             r = jQuery.trim(stub.data('rhtml')).split('');
                                                            temp = [];
                                                            for(i=0;i<r.length;i++)
                                                            {
                                                                if(r[i]!==" ")
                                                                { temp.push("<span class='r-l-a'>"+r[i]+"</span>"); }
                                                                else
                                                                { temp.push("<span class='r-l-a'>&nbsp;</span>"); }
                                                            }
                                                            temp.join('');
                                                            stub.html(temp);
                                                            r = r.length;
                                                            }
                                                            else
                                                           { r = k;}
                                                            
                                                            obj.debug("WORD SIZE : "+r);
                                                            
                                                                setTimeout(function(){ 
                                                                
                                                            stub.children('span.r-l-a').each(function(i){
                                                                 
                                                                   if(alternate === true)  { 
                                                                      if(i%2===0)  
                                                                      {params = { top:20 ,opacity:0 }; }
                                                                        else 
                                                                      { params = { top:-20 ,opacity:0 }; }
                                                                    }
                                                                     if(progressive!==false){   params = { left:i * 20 ,opacity:0 }; }
                                                                     jQuery(this).delay(i*sdelay).animate(params,{ easing:layer.data('easeout'), duration:layer.data('speedout'),
                                                            complete: function(){
                                                                        r--;
                                                                       
                                                                       } });
                                                                
                                                                
                                                                 
                                                                });
                                                            
                                                            
                                                             w = setInterval(function(){
                                                            
                                                                        if(r<=0)
                                                                          {
                                                                         obj.debug('Trigger Letter Animation End: Trigger Value'+obj.trigger);    obj.trigger--; clearInterval(w);   stub.fadeOut('normal');
                                                                        }
                                                        
                                                                    },100);
                                                                    
                                                            },layer.data('delayout'));
         };
         
         
         
          this.wordStartEngine = function(layer,stub,preset,params,sdelay,alternate) {
                                          var w,l,temp,m;
                                          l = jQuery.trim(stub.html()).split(' ');
                                          temp = [];
                                          for(i=0;i<l.length;i++)
                                          {
                                            if(alternate===true)
                                            {
                                                if(i%2===0) {m = 20;} else{ m = -20;}
                                                
                                                  temp.push("<span class='r-w-a' style='opacity:0;top:"+m+"px'>"+l[i]+"</span>");
                                                   if(i!==l.length-1) {temp.push("<span class='r-w-a'>&nbsp;</span>");}
                                            }
                                            else
                                            {
                                                  temp.push("<span class='r-w-a'>"+l[i]+"</span>");
                                                   if(i!==l.length-1) {temp.push("<span class='r-w-a'>&nbsp;</span>");}
                                            }
                                            
                                          }
                                          
                                          temp.join('');
                                          
                                          stub.html(temp);
                                          
                                          if(alternate===false)
                                          {
                                            stub.children().css(preset); 
                                          }
                                          
                                          setTimeout(function() {
                                          
                                          layer.css({ "visibility":'visible' , opacity:0 }).animate({ opacity:1},'normal');
                                          l = l.length; 
                                          
                                          stub.children().each(function(i){
                                               
                                               if(jQuery(this).html()!=="&nbsp;")
                                               {
                                                   jQuery(this).delay(i*sdelay).animate(params,{ easing:layer.data('easein'), duration:layer.data('speedin'),
                                          complete: function(){
                                                      l--;
                                                           } });
                                               }
                                          });
                                        
                                          
                                          w = setInterval(function(){
                                                      if(l<=0)
                                                      {
                                                          if(layer.data('die')!=="stay"){   setTimeout(function(){   obj.endLayerTransit(layer,stub); },layer.data('die')); } clearInterval(w);
                                                      }
                                      
                                                  },100);
                                          },layer.data('delayin'));
                                                        
         };
         
         
         this.letterStartEngine = function(layer,stub,preset,params,sdelay,alternate,progressive) {
              var w,r,temp,meta = '';
                                                    r = jQuery.trim(stub.html()).split('');
                                                            temp = [];
                                                            for(i=0;i<r.length;i++)
                                                            {
                                                                if(progressive===true) {meta = 'left:'+(i*100)+'px;opacity:0';}
                                                                if(alternate===true)
                                                                {
                                                                  if(i%2===0){ meta = 'top:-20px;opacity:0'; } else { meta =   'top:20px;opacity:0'; } 
                                                
                                                                }
                                                                if(r[i]!==" ")
                                                                {temp.push("<span class='r-l-a' style='"+meta+"'>"+r[i]+"</span>");}
                                                                else
                                                               { temp.push("<span class='r-l-a'>&nbsp;</span>");}
                                                            }
                                                            temp.join('');
                                                            stub.html(temp);
                                                            
                                                            if(progressive === false && alternate === false)
                                                            {stub.children().css(preset); }
                                                            
                                                            setTimeout(function() {
                                                            layer.css({ "visibility":'visible' , opacity:0 }).animate({ opacity:1},'normal');
                                                            r = r.length;
                                                            stub.children().each(function(i){
                                                                 
                                                                 if(jQuery(this).html()!=="&nbsp;")
                                                                 {
                                                                     jQuery(this).delay(i*sdelay).animate(params,{ easing:layer.data('easein'), duration:layer.data('speedin'),
                                                            complete: function(){
                                                                        r--;
                                                                       
                                                                       } });
                                                                 }
                                                                 else{ r--;}
                                                                
                                                                 
                                                                });
                                                            
                                                            
                                                            w = setInterval(function(){
                                                                        if(r<=0)
                                                                          {
                                                                            if(layer.data('die')!=="stay") {setTimeout(function(){ obj.endLayerTransit(layer,stub); },layer.data('die')); clearInterval(w);}
                                                                        }
                                                            
                                                                    },100);
                                                            },layer.data('delayin'));
         };
         
         
         this.transitLayer = function(layer,stub) {
             
                      stub.data('rhtml',stub.html());
                    switch(layer.data('behavior'))
                    {
                        case 'static' : layer.css({ opacity:0 , "visibility":'visible'}).delay(layer.data('delayin')).animate({ opacity:1 },layer.data('speedin'),function(){
                                                                        layer.delay(layer.data('die')).animate({ opacity: 0},layer.data('speedout'));
                                                  }); break;
                        case 'layer' : 
                        
                               switch(layer.data('effectin'))
                                {
                                    
                                    // Fade Family ========================================================
                                    case 'fade' : obj.cssEngine(layer,{ opacity:1},{  opacity:0 , "visibility":'visible'},'in'); break;            
                                    case 'shortFadeLeft' : obj.cssEngine(layer,{ opacity:1, margin: 0 },{ marginLeft:-20,  opacity:0 , "visibility":'visible'},'in'); break;            
                                    case 'shortFadeRight' : obj.cssEngine(layer,{ opacity:1, margin: 0 },{ marginLeft:20,  opacity:0 , "visibility":'visible'},'in'); break;            
                                    case 'shortFadeBottom' : obj.cssEngine(layer,{ opacity:1, margin: 0 },{ marginTop:20,  opacity:0 , "visibility":'visible'},'in'); break;
                                    case 'shortFadeTop' : obj.cssEngine(layer,{ opacity:1, margin: 0 },{ marginTop:-20,  opacity:0 , "visibility":'visible'},'in'); break;                                                                                                        
                                    case 'shortFadeScaleIn' : obj.cssEngine(layer,{ opacity:1, scale: 1 },{ scale:2,  opacity:0 , "visibility":'visible'},'in'); break;
                                    case 'shortFadeScaleOut' :  obj.cssEngine(layer,{ opacity:1, scale: 1 },{ scale:0,  opacity:0 , "visibility":'visible'},'in'); break;
                                    case 'shortFadeRotateDown' : obj.cssEngine(layer,{ opacity:1, rotate: 0 },{ rotate:-45,  opacity:0 , "visibility":'visible'},'in'); break;
                                    case 'shortFadeRotateUp' : obj.cssEngine(layer,{ opacity:1, rotate: 0 },{ rotate:45,  opacity:0 , "visibility":'visible'},'in'); break;                               
                                    case 'longFadeLeft' : obj.cssEngine(layer,{ opacity:1, margin: 0 },{ marginLeft:-200,  opacity:0 , "visibility":'visible'},'in'); break;            
                                    case 'longFadeRight' : obj.cssEngine(layer,{ opacity:1, margin: 0 },{ marginLeft:200,  opacity:0 , "visibility":'visible'},'in'); break;            
                                    case 'longFadeBottom' : obj.cssEngine(layer,{ opacity:1, margin: 0 },{ marginTop:200,  opacity:0 , "visibility":'visible'},'in'); break;
                                    case 'longFadeTop' : obj.cssEngine(layer,{ opacity:1, margin: 0 },{ marginTop:-200,  opacity:0 , "visibility":'visible'},'in'); break;                                                                                                        
                                    case 'longFadeScale' : obj.cssEngine(layer,{ opacity:1, scale: 1 },{ scale:6,  opacity:0 , "visibility":'visible'},'in'); break;
                                    case 'longFadeRotateDown' : obj.cssEngine(layer,{ opacity:1, rotate: 0 },{ rotate:-135,  opacity:0 , "visibility":'visible'},'in'); break;
                                    case 'longFadeRotateUp' : obj.cssEngine(layer,{ opacity:1, rotate: 0 },{ rotate:135,  opacity:0 , "visibility":'visible'},'in'); break;            
                                    
                                    case 'moveFromTop'  : obj.cssEngine(layer,{ opacity:1, marginTop: 0 },{  marginTop: -obj.options.height * 2,  opacity:1 , "visibility":'visible'},'in'); break;            
                                    case 'moveFromBottom'  :  obj.cssEngine(layer,{ opacity:1, marginTop: 0 },{  marginTop: obj.options.height * 2,  opacity:1 , "visibility":'visible'},'in'); break;        
                                    case 'moveFromRight'  :  obj.cssEngine(layer,{ opacity:1, marginLeft: 0 },{  marginLeft: obj.options.width * 2,  opacity:1 , "visibility":'visible'},'in'); break;        
                                    case 'moveFromLeft' :  obj.cssEngine(layer,{ opacity:1, marginLeft: 0 },{  marginLeft: -obj.options.width * 2,  opacity:1 , "visibility":'visible'},'in'); break;        
                                                                       
                                    // Word animations ================
                                    
                                    case 'wordFade' :  obj.wordStartEngine(layer,stub,{opacity:0},{opacity:1},150,false,false);    break;    
                                    case 'wordFadeTop' :  obj.wordStartEngine(layer,stub,{opacity:0,top:-20},{opacity:1,top:0},150,false,false);    break;    
                                    case 'wordFadeLeft' : obj.wordStartEngine(layer,stub,{opacity:0,left:-20},{opacity:1,left:0},150,false,false);    break;    
                                    case 'wordFadeBottom' : obj.wordStartEngine(layer,stub,{opacity:0,top:20},{opacity:1,top:0},150,false,false);    break;    
                                    case 'wordFadeRight' : obj.wordStartEngine(layer,stub,{opacity:0,left:20},{opacity:1,left:0},150,false,false);    break;    
                                    
                                    case 'wordFadeShiftVertical' :  obj.wordStartEngine(layer,stub,{opacity:0,top:-20},{opacity:1,top:0},150,true,false);    break;    
                                    case 'wordFadeScaleIn' : obj.wordStartEngine(layer,stub,{opacity:0,scale:2},{opacity:1,scale:1},150,false,false);    break;    
                                    case 'wordFadeScaleOut' :  obj.wordStartEngine(layer,stub,{opacity:0,scale:0},{opacity:1,scale:1},150,false,false);    break;    
                                                                                                                                                                           
                                    // Letter animations ================
                                    
                                    case 'letterFadeScaleIn' :  obj.letterStartEngine(layer,stub,{opacity:0,scale:4},{opacity:1,scale:1},150,false,false); break;
                                    case 'letterFadeScaleOut' : obj.letterStartEngine(layer,stub,{opacity:0,scale:0},{opacity:1,scale:1},150,false,false); break;
                                    case 'letterRunIn' : obj.letterStartEngine(layer,stub,{opacity:0,left:0},{opacity:1,left:0},150,false,true); break;
                                     case 'letterAlternateShift' : obj.letterStartEngine(layer,stub,{opacity:0,top:20},{opacity:1,top:0},150,true,false); break;
                                     case 'letterTopMove' : obj.letterStartEngine(layer,stub,{opacity:0,top:-20},{opacity:1,top:0},150,false,false); break;
                                    case 'letterExplode' : 
                                                            
                                                            var r = jQuery.trim(stub.html()).split('');
                                                            temp = [];
                                                            for(i=0;i<r.length;i++)
                                                            {
                                                                if(r[i]!==" ")
                                                                {
                                                                    j = 200 - Math.random()*400;
                                                                    k = 200 - Math.random()*400;
                                                                    temp.push("<span class='r-l-a' style='opacity:0;top:"+j+"px;left:"+k+"px;'>"+r[i]+"</span>");
                                                                }
                                                                else
                                                               { temp.push("<span class='r-l-a'>&nbsp;</span>");}
                                                            }
                                                            temp.join('');
                                                            stub.html(temp);
                                                            setTimeout(function() {
                                                            layer.css({ "visibility":'visible' , opacity:0 }).animate({ opacity:1},'normal');
                                                            r = r.length;
                                                            stub.children().each(function(i){
                                                                 
                                                                 if(jQuery(this).html()!=="&nbsp;")
                                                                 {
                                                                     jQuery(this).delay(i*120).animate({ top:0, left:0, opacity:1 },{ easing:layer.data('easein'), duration:layer.data('speedin'),
                                                            complete: function(){
                                                                        r--;
                                                                       
                                                                       } });
                                                                 }
                                                                 else {r--;}
                                                                
                                                                 
                                                                });
                                                            
                                                            
                                                            wait = setInterval(function(){
                                                                        if(r<=0)
                                                                          {
                                                                            if(layer.data('die')!=="stay") { setTimeout(function(){ obj.endLayerTransit(layer,stub); },layer.data('die')); clearInterval(wait); }
                                                                        }
                                                            
                                                                    },100);
                                                            },layer.data('delayin'));
                                                            break;
                                                                                                                                                                            
                                }
                        
                        break;    
                    }
             
             };
         
         this.endLayerTransit = function(layer,stub) {
             
        //    layer.stop(true,true);
            
             switch(layer.data('behavior'))
                    {
                        case 'static' : layer.delay(layer.data('delayout')).animate({ opacity:0 },layer.data('speedout')); break;
                        case 'layer' : 
        
                               switch(layer.data('effectout'))
                                {
                                    
                                    // Fade Family ========================================================
                                    case 'fade' : obj.cssEngine(layer,{ opacity:0},null,''); break;                    
                                    case 'shortFadeLeft'   : obj.cssEngine( layer,{ marginLeft:-20 , opacity:0},null,'out'); break;
                                    case 'shortFadeRight'  : obj.cssEngine( layer,{ marginLeft:20 , opacity:0},null,'out'); break;
                                    case 'shortFadeBottom' : obj.cssEngine( layer,{ marginTop:20 , opacity:0},null,'out'); break;
                                    case 'shortFadeTop'    : obj.cssEngine( layer,{ marginTop:-20 , opacity:0},null,'out'); break;                                                                                                
                                    case 'shortFadeScaleIn' : obj.cssEngine( layer,{ scale:2 , opacity:0},null,'out'); break;            
                                    case 'shortFadeScaleOut' : obj.cssEngine( layer,{ scale:0 , opacity:0},null,'out'); break;            
                                    case 'shortFadeRotateDown' :  obj.cssEngine( layer,{  rotate:-45 , opacity:0},null,'out'); break;            
                                    case 'shortFadeRotateUp' :  obj.cssEngine( layer,{  rotate:-45 , opacity:0},null,'out'); break;                   
                                                                                                          
                                    case 'longFadeLeft'   : obj.cssEngine( layer,{ marginLeft:-200 , opacity:0},null,'out'); break;
                                    case 'longFadeRight'  : obj.cssEngine( layer,{ marginLeft:200 , opacity:0},null,'out'); break;
                                    case 'longFadeBottom' : obj.cssEngine( layer,{ marginTop:200, opacity:0},null,'out'); break;
                                    case 'longFadeTop'    : obj.cssEngine( layer,{ marginTop:-200 , opacity:0},null,'out'); break;                                                                                                
                                    case 'longFadeScale' : obj.cssEngine( layer,{ scale:5 , opacity:0},null,'out'); break;            
                                    case 'longFadeRotateDown' :  obj.cssEngine( layer,{  rotate:-135 , opacity:0},null,'out'); break;            
                                    case 'longFadeRotateUp' :  obj.cssEngine( layer,{  rotate:135 , opacity:0},null,'out'); break;            
                                    
                                    case 'moveFromTop'  : obj.cssEngine( layer,{ marginTop:-obj.options.height },null,'out'); break;
                                    case 'moveFromBottom'  : obj.cssEngine( layer,{ marginTop:obj.options.height },null,'out'); break;
                                    case 'moveFromRight'  : obj.cssEngine( layer,{ marginLeft:obj.options.width },null,'out'); break;
                                    case 'moveFromLeft' : obj.cssEngine( layer,{ marginLeft:-obj.options.width  },null,'out'); break;
                                                                                 
                                                                                                                    
                                    case 'wordFade' :  obj.wordEndEngine(layer,stub,{opacity:0},150,false,false);    break;    
                                    case 'wordFadeTop' : obj.wordEndEngine(layer,stub,{opacity:0, top : -20},150,false,false);        break;                                        
                                    case 'wordFadeLeft' : obj.wordEndEngine(layer,stub,{opacity:0, left : -20},150,false,false);    break;                                                                    
                                    case 'wordFadeBottom' : obj.wordEndEngine(layer,stub,{opacity:0, top :20},150,false,false);     break;                            
                                    case 'wordFadeRight' : obj.wordEndEngine(layer,stub,{opacity:0, left : 20},150,false,false);    break;                        
                                    case 'wordFadeShiftVertical' : obj.wordEndEngine(layer,stub,{opacity:0, top :20},150,true,false);     break;                        
                                    case 'wordFadeScaleIn' : obj.wordEndEngine(layer,stub,{opacity:0, scale : 2 },150,false,false);    break;                    
                                    case 'wordFadeScaleOut' : obj.wordEndEngine(layer,stub,{opacity:0, scale : 0 },150,false,false);    break;                        
                                                                                                                                                                           
                                    // Letter animations ================
                                    
                                    case 'letterFadeScaleIn' :  obj.letterEndEngine(layer,stub,{opacity:0, scale : 2 },150,false,false);    break;        
                                    case 'letterFadeScaleOut' :  obj.letterEndEngine(layer,stub,{opacity:0, scale : 0 },150,false,false);    break;        
                                    case 'letterRunIn' :     obj.letterEndEngine(layer,stub,{opacity:0, left :20},150,false,'left');     break;        
                                    case 'letterAlternateShift' : obj.letterEndEngine(layer,stub,{opacity:0, top :20},150,true,false);     break;                                               
                                    case 'letterTopMove' : obj.letterEndEngine(layer,stub,{top : -20,opacity:0},150,false,false);    break;   
                                    case 'letterExplode' : 
                                                            var w,k,r;
                                                            if( ( k = stub.children('span.r-l-a').length ) === 0 ) {
                                                             r = jQuery.trim(stub.data('rhtml')).split('');
                                                            temp = [];
                                                            for(i=0;i<r.length;i++)
                                                            {
                                                                if(r[i]!==" ")
                                                                {temp.push("<span class='r-l-a'>"+r[i]+"</span>");}
                                                                else
                                                                {temp.push("<span class='r-l-a'>&nbsp;</span>");}
                                                            }
                                                            temp.join('');
                                                            stub.html(temp);
                                                            r = r.length;
                                                            }
                                                            else
                                                           { r = k;}
                                                                setTimeout(function(){ 
                                                            stub.children().each(function(){
                                                                 
                                                                 if(jQuery(this).html()!=="&nbsp;")
                                                                 {
                                                                     j = 200 - Math.random()*400;
                                                                     k = 200 - Math.random()*400;
                                                                     jQuery(this).animate({ top:j, left :k,  opacity:0 },{ easing:layer.data('easeout'), duration:layer.data('speedout'),
                                                            complete: function(){
                                                                        r--;
                                                                       
                                                                       } });
                                                                 }
                                                                 else{ r--;}
                                                                
                                                                 
                                                                });
                                                            
                                                            
                                                             w = setInterval(function(){
                                                                        if(r<=0)
                                                                          {
                                                                            obj.trigger--; clearInterval(w); stub.fadeOut('normal');
                                                                        }
                                                        
                                                                    },100);
                                                            },layer.data('delayout'));
                                                            break;
                                                                                                                                                                            
                                }
                        
                        break;    
                    }
                                                                          
         };
                
         this.debug = function(message) {
                if (window.console && window.console.log && obj.options.debugMode)
                   {window.console.log('~~ REDILS Debug Mode: ' + message);}
          };
        this.resetStage = function(){
             var t ;
             this.trigger= this.sideHolder.find('div.layer').length;
            if( obj.isresponsive )  {obj.resetLayer();    }
            
            if( BrowserDetect.browser ==="IE" && BrowserDetect.version < 9  ) 
            {
                this.sideHolder.find('div.layer').data('effectin','fade');     
                this.sideHolder.find('div.layer').data('effectout','fade');     
            }
            
        
            jQuery('#home-slider-caption').html(this.sideHolder.find('div.layer').find('.caption-style').html()).fadeIn('normal');
            
            if(this.trigger>0)
            { obj.initLayer(this.sideHolder);}
             
              obj.flag = false;
              
             if(obj.hoverFlag) {if(this.options.progress_bar) {obj.resetProgress();}}
              //console.log(obj.hoverFlag);
             
             if(this.options.autoplay)
             {
                 
            clearTimeout( this.timer );
                this.timer =  setTimeout(function(){  
             
             if( obj.options.progress_bar){ obj.animateProgress();}
             
             temp = obj.sideHolder;
             obj.sideHolder = obj.activeHolder; 
             obj.activeHolder = temp;
             
             t = (obj.len-1 === obj.current ) ? obj.current = 0 : obj.current+1;
             
             obj.activeHolder.addClass('r-active-slide').removeClass('r-next-slide'); 
             obj.sideHolder.addClass('r-next-slide').removeClass('r-active-slide'); 
             
             obj.sideHolder = obj.element.children('div.r-next-slide'); 
             
            
             obj.debug("Layer Length In RESETSTAGE : "+obj.trigger);
             
             obj.setupSlide(t);
            
            },obj.options.duration);
             }
            
             if(this.hoverFlag)
             {
                 clearInterval(obj.timer);
             }
             
            };
        this.setupSlide = function(index) {
             
             //this.debug(prev+" "+current+" "+next);
             
             obj.flag = true;
             obj.prev = obj.current;
             obj.current = index;
             
               if(this.options.bullets_control)
               {
                   this.bullets.removeClass('active');
                   this.bullets.eq(index).addClass('active');
               }
             if(this.options.thumbnails)
               {
                   this.thumbs.removeClass('active');
                   this.thumbs.eq(index).addClass('active');
               }
              if(this.options.counter ) {this.counter.html(index+1); }
               
             obj.debug(" Current: "+obj.current+" Next: "+obj.next+" Index: "+index);
             
             
             obj.sideHolder.html(mainImages[obj.current]+layers[this.current]);
             obj.sideHolder.css('visibility','hidden');
             
              
             obj.sideHolder.find('div.layer').each(function(){
                        var ot = jQuery(this).children('div.rtext');
                        ot.data('font_size',ot.css('font-size'));
                         ot.data('width',ot.css('width'));
                        });
            
            
                        
            var tl =  obj.activeHolder.find('div.layer');
            this.debug("Layer Size : "+tl.length);
            
            if( obj.sideHolder.find('iframe.vimeo').length>0)
            { obj.sideHolder.find('iframe.vimeo').each(function(){
                             
                             
                        var player = new Froogaloop(this);
                          player.addEvent('ready', function() {
                         player.addEvent('play', obj.onPlayProgress);
                         });
                        
                        });}
            if( obj.sideHolder.find('iframe.youtube').length>0)
            {jQuery('iframe.youtube').each(function(){
                    
                            new YT.Player(jQuery(this).attr('id'), {
                    
                                                            videoId: jQuery(this).attr('id'),
                                                          events: {
                       
                                                                      'onStateChange': function(event){ if(event.data===1) 
                                                                      {
                                                                             clearTimeout(obj.image_timer); obj.video_override();
                                                                      }
                                                                 }
                                      }
                                            });
                            });}
        
            
            if(tl.length>0 && obj.options.onSlideEnd === "wait" ) 
              { 
              tl.each(function(){
                  
                  temp = jQuery(this);
                  
                  
                  if(temp.data('die')==="stay") 
                 {
                     obj.endLayerTransit(temp, temp.children());
                     obj.debug('Stay '+obj.options.onSlideEnd);
                 }
                  
                  });       
    
            }
            tl.stop(true,true).fadeOut('normal');
            obj.animate();
           
            
            
             };  
         
         
         this.setupKBSlide = function(index) {
            
             //this.debug(prev+" "+current+" "+next);
             
             obj.prev = obj.current;
             obj.current = index;
             
             
             obj.debug(" Current: "+obj.current+" Next: "+obj.next+" Index: "+index);
             
             
             obj.sideHolder.html(mainImages[obj.current]+layers[this.current]);
             obj.sideHolder.css('opacity','0');
             
             var build,inlineCSS,t,o = this,img = o.sideHolder.children('img');
        
               var  bricks , settings , animationParams = { opacity:1 } ; // Default parameters
    
             bricks = { width: img.width() , height : img.height() , opacity: 0  }; settings  = { width: o.options.width  , height : o.options.height   }; 
    
             inlineCSS = '';
    
             jQuery.each(bricks, function(k,v) {
                
                t= v;
                if(k==="width"||k==="height") {t = t +"px";}
                
                inlineCSS = inlineCSS  + k+" : "+t+";";
             });
    
            inlineCSS = inlineCSS + 'background-image:url('+img.attr('src')+');';
    
            o.debug(">> Generated CSS: "+inlineCSS);
            build = "<div class='redils-brick' style='"+inlineCSS+"top:0px;left:0px;"+"background-position:0px 0px '></div>"; 
            img.hide();
    
            o.sideHolder.children('div.layers').css('visibility','visible').html(build);
            o.sideHolder.css({ opacity:1  });
            o.sideHolder.find('div.redils-brick').animate(animationParams , 4000 );
             
            obj.animate();
            
            
             };  
         
         this.animate = function() {
            var ch =  obj.options.slider_type;  
              if( this.isresponsive)   { ch  = "fade";}
                
            if( BrowserDetect.browser ==="IE" && BrowserDetect.version < 9 && ch ==="threeD" ){ ch = "fade" ;   }     
            
            
            jQuery('#home-slider-caption').hide();
            obj.debug(' Animation Started');
                   
                    switch(ch)
                    {
                        case 'fade' : obj.fade(); break;
                        case 'jquery' : obj.jquery(); break;
                        case 'kenburns' : obj.kenburns(); break;
                        case 'threeD' : obj.threeD();
                    }
                    
                        
             
         };
        
            
            
        obj.init();
    
}

Redils.prototype.animateProgress = function()
{
    "use strict"; this.progressbar.stop(true,true).css("width","0px").animate({ width : this.options.width },this.options.duration);
};
Redils.prototype.stopProgress = function()
{
    "use strict"; this.progressbar.stop(true,false);
};
Redils.prototype.resetProgress = function()
{
   "use strict";  this.progressbar.stop(true,true).css("width","0px");
};
Redils.prototype.resumeProgress = function()
{
  "use strict";   this.progressbar.stop(true,true).animate({ width : this.options.width },this.options.duration);
};
// == Plugins Initiation =========================    
    
jQuery.fn.redils = function ( options ) { "use strict"; 
    return this.each(function () {
        if (!jQuery.data(this, 'plugin_' + pluginName)) {
            jQuery.data(this, 'plugin_' + pluginName, 
            new Redils( this, options ));
        }
    });
};


//})( jQuery, window, document );  // == End of Scope =======================
