// JavaScript Document

var redils_presets = {
	
	/*
		fade : [] ,
		jquery : [] ,
		threed : [] ,
		scrollable : [] ,
		kenburns : [] ,
		layered : [] */
	
	
	} ;
	

redils_presets.fade= [
		
		{ 
		  
		  info : " @Type = Basic Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : none \
				   @Name = FXF1 \
				  " ,
		  
		  presetParameters : { 		opacity:0  , visibility: 'visible'	},
		  animationParameters : { opacity:1 }		  
		
		 },

		{ 
		  
		  info : " @Type = Left Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : none \
				   @Name = FXF2 \
				  " ,
		  
		  presetParameters : { 		opacity:0  , visibility: 'visible' , x : -10	},
		  animationParameters : { opacity:1 , x:0 }		  
		
		 },
		 
		 { 
		  
		  info : " @Type = Scale In Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : CSS3 \
				   @Name = FXF3 \
				  " ,
		  
		  presetParameters : { 		opacity:0  , visibility: 'visible' , scale : 2	},
		  animationParameters : { opacity:1 , scale:1 }		  
		
		 },
		 
		 { 
		  
		  info : " @Type = Scale Out Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : CSS3 \
				   @Name = FXF4 \
				  " ,
		  
		  presetParameters : { 		opacity:0  , visibility: 'visible' , scale : 0.5	},
		  animationParameters : { opacity:1  , scale:1 }		  
		
		 },
		 
		  { 
		  
		  info : " @Type = SkewY Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : CSS3 \
				   @Name = FXF5 \
				  " ,
		  
		  presetParameters : { 		opacity:0  , visibility: 'visible' , skewY : "30deg"	},
		  animationParameters : { opacity:1  , skewY:"0deg" }		  
		
		 },
		 
		  { 
		  
		  info : " @Type = Skew X Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : CSS3 \
				   @Name = FXF6 \
				  " ,
		  
		  presetParameters : { 		opacity:0  , visibility: 'visible' , skewX : "30deg"	},
		  animationParameters : { opacity:1  , skewX:"0deg" }		  
		
		 },
		 
		  { 
		  
		  info : " @Type = Rotate X Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : CSS3 \
				   @Name = FXF7 \
				  " ,
		  
		  presetParameters : { 		opacity:0  , visibility: 'visible' , rotateX : "30deg"	},
		  animationParameters : { opacity:1  , rotateX:"0deg" }		  
		
		 },
		 
		  { 
		  
		  info : " @Type = Rotate Y Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : CSS3 \
				   @Name = FXF8 \
				  " ,
		  
		  presetParameters : { 		opacity:0  , visibility: 'visible' , rotateY : "30deg"	},
		  animationParameters : { opacity:1  , rotateY:"0deg" }		  
		
		 },
		 
		  { 
		  
		  info : " @Type = Daigonal Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : none \
				   @Name = FXF8 \
				  " ,
		  
		  presetParameters : { 		opacity:0  , visibility: 'visible' , x : -50 , y : -50	},
		  animationParameters : { opacity:1  , x:0 , y:0 }		  
		
		 },

 					  ];	
					  
redils_presets.jquery = [

 { 
		  
		  info : " @Type = Cube Fade Effect \
		  		   @Engine : Fade \
				   @Dependency : none \
				   @Name = FXJ1 \
				  " ,
		  
		  presetParameters : { 		opacity:0  	},
		  animationParameters : { opacity:1  },
		  dimensions : { rows : 3 , columns : 6, delay: 50 , grow:'none' , easing:'easeOutSine',scale:1}		  
		  
		
		 },

		{ 
		  
		  info : " @Type = Cube Grow Effect \
		  		   @Engine : Fade \
				   @Dependency : none \
				   @Name = FXJ1 \
				  " ,
		  
		  presetParameters : { 		opacity:0  	},
		  animationParameters : { opacity:1  },
		  dimensions : { rows : 3 , columns : 6, delay:50 , grow:'full' , easing:'easeOutSine',scale:1}		  
		  
		
		 },

  	{ 
		  
		  info : " @Type = Column Grow Effect \
		  		   @Engine : Fade \
				   @Dependency : none \
				   @Name = FXJ1 \
				  " ,
		  
		  presetParameters : { 		opacity:0  	},
		  animationParameters : { opacity:1  },
		  dimensions : { rows : 1 , columns : 10, delay: 60 , grow:'y' , easing:'easeOutSine' ,scale:1.3}		  
		  
		
		 },
	{ 
		  
		  info : " @Type = Row Grow Effect \
		  		   @Engine : Fade \
				   @Dependency : none \
				   @Name = FXJ1 \
				  " ,
		  
		  presetParameters : { 		opacity:0  	},
		  animationParameters : { opacity:1  },
		  dimensions : { rows : 6 , columns : 1, delay: 120 , grow:'x' , easing:'easeOutSine' ,scale:1.3}		  
		  
		
		 },	 		 
];					  