<?php
/*
Template Name: Gallery Column Page Template
*/
?>

<?php
// == Layout Calculation =========================================


$layout =  "full-width" ;
$content_width = '';
$width = 234; $height = $super_options[SN.'_gallery_image_height'];

$categories = (!is_array(get_post_meta($post->ID,"_gallery_filter",true)) ) ? false : get_post_meta($post->ID,"_gallery_filter",true);
$live =  (trim(get_post_meta($post->ID,"_glive_filter",true))=="") ? "No" : get_post_meta($post->ID,"_glive_filter",true);

$meta_filters =  ( trim(get_post_meta($post->ID,"_gmeta_filter",true))=="") ? "none" : get_post_meta($post->ID,"_gmeta_filter",true);
$order =  ( trim(get_post_meta($post->ID,"_gorder",true))=="") ? "none" : get_post_meta($post->ID,"_gorder",true);

$gallery_options = array(
							'items_limit' => $super_options[SN."_gallery_item_limit"],
							'content_limit' =>  $super_options[SN.'_gallery_limit'],
    				  	    'categories' => $categories,
							'meta_filters' => $meta_filters,
							'order' => $order,
							'width' => $width ,
							'height' => $height,
							'meta_data' => false,
							'clear' => 4,
							'label' => 'gallery-item-4-'
						  );



get_header(); ?>

<?php  if(have_posts()): while(have_posts()) : the_post(); ?>

<?php
$title = get_the_title();
$subtitle = '';
if( get_post_meta($post->ID,"intro_title",true) != "" ) $title = get_post_meta($post->ID,"intro_title",true);
if( get_post_meta($post->ID,"intro_text",true) != "" )  $subtitle = get_post_meta($post->ID,"intro_text",true);

?>
<div class="title-wrap <?php echo$super_options[SN."_breadcrumbs_enable"]!="true" ? 'no-breadcrumb' : null; ?>">
  	<div class="wrap">
    	<div class="skeleton">
        		<h1 class="custom-title" ><?php echo $title; ?></h1>
                <?php if($subtitle!="") :?><h3 class="page-subtitle"><?php echo $subtitle; ?></h3><?php endif; ?>
         </div>
     </div>
</div>
 </div>

<div class="page-wrapper">


  <?php if($live!="No") : ?>   <div class="portfolio-taxonomy clearfix">


   	 <div class="skeleton">
     		<ul class="clearfix">
    			<li class="active"><a href="#">All</a></li>
   				<?php  wp_list_categories("&title_li=&taxonomy=gallerycategories");  ?>
  		  </ul>

     </div>

    </div> <?php endif; ?>
 <?php  if($super_options[SN."_breadcrumbs_enable"]=="true" && !is_front_page()) $helper->breadcrumbs(); ?> <!-- The breadcrumb for the theme -->


<div class=" page content  clearfix portfolio-template "> <!-- Start of loop -->

    <div class="<?php echo $layout ?> " id="main-content">





	 <?php the_content(); ?>



     <div class="portfolio-four-column skeleton clearfix filterable" data-nos="4">
     	<?php get_template_part('includes/loop','gallery'); ?>
     </div>



    </div>

    <div class="full-pagination">
    	<div class="skeleton">
        	 <?php $helper->pagination(); ?>
        </div>
    </div>

     <?php
	  wp_reset_query();
	  if($layout!="full-width") {  $first_sidebar = false; get_sidebar(); }
	 ?>

</div>
</div>
<?php endwhile; endif; ?> <!-- End of loop -->

<?php get_footer(); ?>
