<?php
/*
Plugin Name: WPTitan Shortcodes V2
Plugin URI: http://titanplug.in
Description: Free Shortcodes solution.
Version: 2.0
Code Name : Zeus
Author: WPTitans
Author URI: http://titanplug.in
*/
?>
<?php

// == Constants

define('TITANSPATH',dirname(__FILE__));
define('TITANSURL',WP_PLUGIN_URL.'/titan_shortcodes_v2');

define('TITANSFPATH',TITANSPATH."/framework");
define('TITANSFURL',TITANSURL."/framework");


function addTitanShortcodesAdminScripts() {

wp_enqueue_script('jquery');

wp_enqueue_script('jquery-ui-draggable');
wp_enqueue_script('jquery-ui-sortable');

wp_enqueue_script('jquery-titanshortcodescore',TITANSURL.'/js/titanshortcodes_core.js');
wp_enqueue_style('titanshortcodescore',TITANSURL.'/css/titanshortcodes_core.css');
wp_enqueue_script('jquery-colorpicker',TITANSURL.'/js/colorpicker.js');


}

if(is_admin())
add_action('admin_init','addTitanShortcodesAdminScripts');



function add_titanbutton() {
   if ( current_user_can('edit_posts') &&  current_user_can('edit_pages') )
   {
	 add_filter('mce_external_plugins', 'regiterTitanButtonPlugin');
	 add_filter('mce_buttons', 'registerTitanButton');
   }
}

function registerTitanButton($buttons) {
   array_push($buttons, "button");
   return $buttons;
}
function regiterTitanButtonPlugin($plugin_array) {
   $plugin_array['button'] = TITANSURL.'/js/titan_menu.js';
   return $plugin_array;
}

add_action('init', 'add_titanbutton');


function addmeta()
		{
			echo "<link rel='tag' id='titanurl' href='".TITANSURL."' />";
		}
add_action('admin_head','addmeta');


//  ============ Front End Hooks ======================================


function addTitanShortcodesFrontScripts() {

wp_enqueue_script('jquery');

wp_enqueue_script('jquery-titanshortcodesfront',TITANSURL.'/js/titanshortcodes_front.js');
wp_enqueue_style('titanshortcodesfront',TITANSURL.'/css/titanshortcodes_front.css');



}

if(!is_admin())
add_action('init','addTitanShortcodesFrontScripts');


include_once('framework/shortcodes.php');