<?php 

/* 

======================================================================================
== Style Option Panel ================================================================
======================================================================================

Version 1 
Authors - WPTitans



*/



$style_options  = array();
						
												
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Header Section"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Top Bar Background",
						"select" => "top",
						"parameters" => "background,border-bottom",
						"multiple" => "html div.top",
						"std" => "#1b1b1b < < <,1px solid #272727"
						);			


$style_options[] = array(
						"type" => "element",
						"name" => "Top Bar Text ",
						"select" => "toptxt",
						"parameters" => "color,font",
						"multiple" => "html div.top ul.menu > li",
						"std" => "#FFFFFF,11px 500 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Top bar link color",
						"select" => "toplclr",
						"parameters" => "color,font",
						"multiple" => "html div.top ul.menu > li a",
						"std" => "#FFFFFF,11px 500 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Top bar link hover color",
						"select" => "toplclrhvr",
						"parameters" => "color,font",
						"multiple" => "html div.top ul.menu > li a:hover",
						"std" => "#E94E4B,11px 500 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Top bar link active color",
						"select" => "toplclract",
						"parameters" => "color,font",
						"multiple" => "html div.top ul.menu > li.current_page_item > a, html div.top ul.menu > li.current-menu-ancestor > a",
						"std" => "#E94E4B,11px 500 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Menu background",
						"select" => "menubg",
						"parameters" => "background",
						"multiple" => "html div.top-area",
						"std" => "#222 < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Menu Links",
						"select" => "color,font",
						"parameters" => "menul",
						"multiple" => "#menu > li a",
						"std" => "#fff,12px 500 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Menu Links Hover and Active State",
						"select" => "color,font",
						"parameters" => "menulhvr",
						"multiple" => "#menu > li.current-menu-item > a,#menu > li > a:hover",
						"std" => "#E94E4B,12px 500 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Dropdown Background",
						"select" => "dropdownbg",
						"parameters" => "background",
						"multiple" => "#menu > li > ul.sub-menu,#menu > li > div.sub-menu",
						"std" => "#E94E4B < < <",
						);		
						
$style_options[] = array(
						"type" => "element",
						"name" => "Megamenu Text",
						"select" => "megamenutxt",
						"parameters" => "color,font",
						"multiple" => "html .megamenu-textbox p",
						"std" => "#fff, 12px 500 normal",
						);
											
$style_options[] = array(
						"type" => "element",
						"name" => "Dropdown Link",
						"select" => "dropdownlink",
						"parameters" => "color,font,background",
						"multiple" => "#menu > li > ul.sub-menu > li a",
						"std" => "#fff, 12px 500 normal,#e94e4b < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Dropdown link hover",
						"select" => "dropdownlnkhvr",
						"parameters" => "color,font,background",
						"multiple" => "#menu > li > ul.sub-menu > li a:hover, #menu > li > ul.sub-menu > li a:focus",
						"std" => "#fff,12px 500 normal,#222 < < <",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Mega menu link hover",
						"select" => "megalnkhvr",
						"parameters" => "color,font",
						"multiple" => " #menu > li > div.sub-menu a:hover, #menu > li > div.sub-menu a:focus",
						"std" => "#222,12px 500 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Mega Menu Title",
						"select" => "megatitle",
						"parameters" => "color,font",
						"multiple" => "#menu div.sub-menu h6 a,#menu div.sub-menu h6 a:hover",
						"std" => "#fff,16px 700 normal",
						);		
						
$style_options[] = array(
						
						"type" => "panelend",
					
						);
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Slider Styles"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Slider Bullets",
						"select" => "slidebullets",
						"parameters" => "background,opacity",
						"multiple" => "html .homeslidercontainer .tp-bullets.simplebullets.round .bullet",
						"std" => "#FFFFFF < < <,0.2",
						);
						
$style_options[] = array(
						
						"type" => "panelend",
					
						);														
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Layout Stylings"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Layout Backgrounds",
						"select" => "layoutbgs",
						"parameters" => "background",
						"multiple" => "div.super-wrapper",
						"std" => "#fafafa < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Layout Divider",
						"select" => "layoutdvd",
						"parameters" => "border-bottom",
						"multiple" => "div.separator,div.super-wrapper div.titanseparator",
						"std" => "1px solid #e6e6e6",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Layout Colored Backgrounds",
						"select" => "clrdbgsct",
						"parameters" => "background",
						"multiple" => "div.editor-cols",
						"std" => "#fff < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Colored Layout Text",
						"select" => "clrdlayouttext",
						"parameters" => "color,font",
						"multiple" => "div.editor-cols div.column-content p,div.editor-cols .post-preview .desc p,div.editor-cols .page p, div.editor-cols .content p,div.editor-cols .column-content p, div.editor-cols .column-content,.items div.desc,.post-preview.shortcode-post .desc ",
						"std" => "#758088,13px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Colored Layout Titles",
						"select" => "clrdlayouttit",
						"parameters" => "color,font",
						"multiple" => "div.editor-cols ul.post-nonproduct li h3 a, div.editor-colsdiv.latest-info-posts h2, div.editor-cols div.intro-fancy-title h2,div.editor-cols .post-preview h2,div.editor-cols .post-preview h2 a",
						"std" => "#465662,18px 600 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Colored Layout Titles Hover",
						"select" => "clrdlayttitlehvr",
						"parameters" => "color,font",
						"multiple" => "div.editor-cols ul.post-nonproduct li h3 a:hover,.post-preview h2 a:hover",
						"std" => "#E74C3C,18px 600 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Colored Layout Sub Titles",
						"select" => "clrdlayoutst",
						"parameters" => "color,font",
						"multiple" => "div.editor-cols div.intro-fancy-title h6.custom-font",
						"std" => "#E74C3C,13px 400 normal,",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Layout Titles",
						"select" => "layouttitle",
						"parameters" => "color,font",
						"multiple" => "ul.post-nonproduct li h3 a,div.latest-info-posts h2, div.intro-fancy-title h2,.post-preview h2,.post-preview h2 a",
						"std" => "#465662,18px 600 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Layout Titles Hover",
						"select" => "layouttitlehvr",
						"parameters" => "color,font",
						"multiple" => "ul.post-nonproduct li h3 a:hover,.post-preview h2 a:hover",
						"std" => "#E74C3C,18px 600 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Layout Sub Titles",
						"select" => "layoutsubtitle",
						"parameters" => "color,font",
						"multiple" => "div.intro-fancy-title h6.custom-font",
						"std" => "#E74C3C,13px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Layout Text",
						"select" => "layouttext",
						"parameters" => "color,font",
						"multiple" => "div.column-content p,.post-preview .desc p,.page p, .content p,.column-content p, .column-content,body ",
						"std" => "#758088,13px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Section Titles",
						"select" => "sectiontitle",
						"parameters" => "color,font,border-bottom",
						"multiple" => "html .section-title h2",
						"std" => "#465662,36px 700 normal,3px solid #465662",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Icon from Library Background",
						"select" => "pagtpbrd",
						"parameters" => "background,border",
						"multiple" => "p.icon-lib-image",
						"std" => "#ffffff < < <,1px solid #dddddd",
						);	
						
$style_options[] = array(
						
						"type" => "panelend",													

						);	
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Page Related Stylings"
						);

$style_options[] = array(
						"type" => "element",
						"name" => "Selection Color",
						"select" => "selectclr",
						"parameters" => "background,color",
						"multiple" => "::selection",
						"std" => "#E74C3C < < <,#ffffff",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Content Titles",
						"select" => "contentttl",
						"parameters" => "color",
						"multiple" => ".content h1, .content h2, .content h3, .content h4, .content h5, .content h6 ",
						"std" => "#E74C3C",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Content Links",
						"select" => "contentxt",
						"parameters" => "color",
						"multiple" => "html a,html .latest-scrollable-posts a.more,html .twitter-wrapper .twitter ul li a",
						"std" => "#E74C3C",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Content Links Hover",
						"select" => "contentxt",
						"parameters" => "color",
						"multiple" => "html a:hover,html .latest-scrollable-posts a.more:hover,html .twitter-wrapper .twitter ul li a:hover",
						"std" => "#465662",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Page Title Background",
						"select" => "pagettlebg",
						"parameters" => "background",
						"multiple" => "div.title-wrap",
						"std" => "#E74C3C < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Page Title",
						"select" => "pagettl",
						"parameters" => "color,font",
						"multiple" => "div.title-wrap h1.custom-title",
						"std" => "#FFFFFF, 36px 700 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Page Sub Title",
						"select" => "pagesubttl",
						"parameters" => "color,font",
						"multiple" => "div.title-wrap h3.page-subtitle",
						"std" => "#FFFFFF, 13px 500 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Breadcrumbs Background",
						"select" => "brdcrmbbg",
						"parameters" => "font,color,background",
						"multiple" => "#breadcrumbs",
						"std" => "11px 400 normal,#465662,#FFFFFF < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Breadcrumbs Bottom Border",
						"select" => "brdcrmbbtmbrd",
						"parameters" => "border-bottom",
						"multiple" => "#breadcrumbs div.skeleton",
						"std" => "1px solid #EEEEEE",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Breadcrumbs Links",
						"select" => "brdcrmblinks",
						"parameters" => "color,font",
						"multiple" => "#breadcrumbs a ",
						"std" => "#E74C3C, 11px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "All Buttons",
						"select" => "allbtns",
						"parameters" => "color,font,background",
						"multiple" => "div.blog-template ul.posts li a.read-more,.sidebar .sidebar-wrap .thunder_button, .sidebar .sidebar-wrap .d_submit, .sidebar .sidebar-wrap #searchsubmit,.pagination a:hover, .pagination .active a,.latest-scrollable-posts a.scrollable-next,.latest-scrollable-posts a.scrollable-prev,div.latest-info-posts a.main-button,.posts-nav .slide-next,.posts-nav .slide-prev,#comments_template form input[type='submit'],.error-search #searchsubmit,.wpcf7-submit,div.news-letter form input[type='submit'],.post-preview.shortcode-post .read-more",
						"std" => "#FFFFFF, 12px 700 normal,#E74C3C < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "All Buttons Hover",
						"select" => "allbtnshvr",
						"parameters" => "color,font,background",
						"multiple" => "div.blog-template ul.posts li a.read-more:hover,.sidebar .sidebar-wrap .thunder_button:hover, .sidebar .sidebar-wrap .d_submit:hover, .sidebar .sidebar-wrap #searchsubmit:hover,latest-scrollable-posts a.scrollable-next:hover,.latest-scrollable-posts a.scrollable-prev:hover,div.latest-info-posts a.main-button:hover,.posts-nav .slide-next:hover,.posts-nav .slide-prev:hover,#comments_template form input[type='submit']:hover,.error-search #searchsubmit:hover,.wpcf7-submit:hover,div.news-letter form input[type='submit']:hover,.post-preview.shortcode-post .read-more:hover",
						"std" => "#FFFFFF, 12px 700 normal,#465662 < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pagination Top Border",
						"select" => "pagtpbrd",
						"parameters" => "border-top",
						"multiple" => "div.pagination",
						"std" => "1px solid #e0e0e0",
						);																				

$style_options[] = array(
						
						"type" => "panelend",
					
						);													

$style_options[] = array(
						
						"type" => "panel",
						"name" => "Call to Action stylings"
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 1 CTA Background",
						"select" => "style1ctabg",
						"parameters" => "background",
						"multiple" => ".blurb-parent-wrap.cta_style_1",
						"std" => "#465662 < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 1 CTA Title",
						"select" => "style1ctattl",
						"parameters" => "color,font",
						"multiple" => ".blurb-parent-wrap.cta_style_1 .blurb-wrapper h3.blurb-text",
						"std" => "#FFFFFF,36px 700 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 1 CTA Text",
						"select" => "style1ctatxt",
						"parameters" => "color,font",
						"multiple" => ".blurb-parent-wrap.cta_style_1 .blurb-wrapper div.inner-blurb-wrapper p",
						"std" => "#FFFFFF,15px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 1 CTA Button",
						"select" => "style1ctabtn",
						"parameters" => "color,font,background",
						"multiple" => ".blurb-parent-wrap.cta_style_1 .blurb-wrapper .blurb-button a ",
						"std" => "#FFFFFF,24px 700 normal,#E74C3C < < <",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 1 CTA Button Hover",
						"select" => "style1ctahvr",
						"parameters" => "color,font,background",
						"multiple" => ".blurb-parent-wrap.cta_style_1 .blurb-wrapper .blurb-button a:hover ",
						"std" => "#E74C3C,24px 700 normal,#ffffff < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 2 CTA Background",
						"select" => "style2ctabg",
						"parameters" => "background",
						"multiple" => ".blurb-parent-wrap.cta_style_2",
						"std" => "#FFFFFF < < <",
						);

$style_options[] = array(
						"type" => "element",
						"name" => "Style 2 CTA Title",
						"select" => "style2ctattl",
						"parameters" => "color,font",
						"multiple" => ".blurb-parent-wrap.cta_style_2 .blurb-wrapper h3.blurb-text",
						"std" => "#465662,36px 700 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 2 CTA Text",
						"select" => "style2ctatxt",
						"parameters" => "color,font",
						"multiple" => ".blurb-parent-wrap.cta_style_2 .blurb-wrapper div.inner-blurb-wrapper p",
						"std" => "#465662,15px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 2 CTA Button",
						"select" => "style2ctabtn",
						"parameters" => "color,font,background",
						"multiple" => "html .blurb-parent-wrap.cta_style_2 .blurb-wrapper .blurb-button a ",
						"std" => "#FFFFFF,24px 700 normal,#465662 < < <",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 2 CTA Button Hover",
						"select" => "style2ctahvr",
						"parameters" => "color,font,background",
						"multiple" => "html .blurb-parent-wrap.cta_style_2 .blurb-wrapper .blurb-button a:hover ",
						"std" => "#465662,24px 700 normal,#FFFFFF < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 3 CTA Background",
						"select" => "style3ctabg",
						"parameters" => "background",
						"multiple" => ".blurb-parent-wrap.cta_style_3",
						"std" => "#E74C3C < < <",
						);

$style_options[] = array(
						"type" => "element",
						"name" => "Style 3 CTA Title",
						"select" => "style3ctattl",
						"parameters" => "color,font",
						"multiple" => ".blurb-parent-wrap.cta_style_3 .blurb-wrapper h3.blurb-text",
						"std" => "#FFFFFF,36px 700 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 3 CTA Text",
						"select" => "style3ctatxt",
						"parameters" => "color,font",
						"multiple" => ".blurb-parent-wrap.cta_style_3 .blurb-wrapper div.inner-blurb-wrapper p",
						"std" => "#FFFFFF,15px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 3 CTA Button",
						"select" => "style3ctabtn",
						"parameters" => "color,font,background",
						"multiple" => ".blurb-parent-wrap.cta_style_3 .blurb-wrapper .blurb-button a ",
						"std" => "#FFFFFF,24px 700 normal,#465662 < < <",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Style 3 CTA Button Hover",
						"select" => "style3ctahvr",
						"parameters" => "color,font,background",
						"multiple" => ".blurb-parent-wrap.cta_style_3 .blurb-wrapper .blurb-button a:hover ",
						"std" => "#465662,24px 700 normal,#FFFFFF < < <",
						);		
						
$style_options[] = array(
						
						"type" => "panelend",
					
						);										
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Portfolio styles"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Filter Default Buttons",
						"select" => "fltrbtndef",
						"parameters" => "color,font,background",
						"multiple" => ".portfolio-taxonomy ul li a",
						"std" => "#465662,12px 700 normal,#f0f0f0 < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Filter Active and Hover Buttons",
						"select" => "fltrbtnachvr",
						"parameters" => "color,font,background",
						"multiple" => ".portfolio-taxonomy ul li:hover a, .portfolio-taxonomy ul li.active a",
						"std" => "#ffffff,12px 700 normal,#e74c3c < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Hover Overlay Title",
						"select" => "hvrvrlyttl",
						"parameters" => "color,font",
						"multiple" => "html .folio-overlay h2,.post-preview .image h2",
						"std" => "#ffffff,16px 700 normal",
						);																												

$style_options[] = array(
						"type" => "element",
						"name" => "Hover Overlay Excerpt",
						"select" => "hvrvrlytxt",
						"parameters" => "color,font,background",
						"multiple" => "html .folio-overlay p",
						"std" => "#ffffff,12px 400 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Hover Overlay Link Icon",
						"select" => "hvrvrlyicnslink",
						"parameters" => "background",
						"multiple" => ".folio-overlay a.link",
						"std" => "#465662 < < <",
						);																												
									
$style_options[] = array(
						"type" => "element",
						"name" => "Hover Overlay Lightbox Icon",
						"select" => "hvrvrlyicnlght",
						"parameters" => "background",
						"multiple" => ".folio-overlay a.lightbox",
						"std" => "#465662 < < <",
						);																												
																											
$style_options[] = array(
						"type" => "element",
						"name" => "Hover Overlay Icons Hover",
						"select" => "hvrvrlyicnshvr",
						"parameters" => "opacity",
						"multiple" => ".folio-overlay a:hover, .folio-overlay a:focus",
						"std" => "0.8",
						); 	

$style_options[] = array(
						"type" => "element",
						"name" => "Portfolio One Column Title",
						"select" => "prtflnclmn",
						"parameters" => "color,font",
						"multiple" => ".full-width .portfolio-one-column .posts > li h2 a",
						"std" => "#465662,40px 700 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Portfolio One Column Title Hover",
						"select" => "prtflnclmnhvr",
						"parameters" => "color,font",
						"multiple" => ".full-width .portfolio-one-column .posts > li h2 a:hover",
						"std" => "#e74c3c,40px 700 normal",
						);
																		
$style_options[] = array(
						"type" => "element",
						"name" => "Single Portfolio Title",
						"select" => "sngleprtflttl",
						"parameters" => "color,font",
						"multiple" => "div.single-portfolio h1",
						"std" => "#465662,32px 700 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Single Portfolio Text",
						"select" => "sngleprtfltxt",
						"parameters" => "color,font",
						"multiple" => "div.single_portfolio_content p",
						"std" => "#758088,13px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Single Portfolio Related Title",
						"select" => "snglprtrltdttl",
						"parameters" => "color,font",
						"multiple" => "div.portfolio-metadata h3.custom-title",
						"std" => "#465662,20x 700 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Single Portfolio Nav Buttons",
						"select" => "snglprtrbtns",
						"parameters" => "color,font,background",
						"multiple" => ".project-nav a",
						"std" => "#ffffff,12px 700 normal,#E74C3C < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Single Portfolio Nav Buttons Hover",
						"select" => "snglprtrbtnhvr",
						"parameters" => "color,font,background",
						"multiple" => ".project-nav a:hover",
						"std" => "#ffffff,12px 700 normal,#465662 < < <",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Single Portflio Stroke",
						"select" => "snglstrk",
						"parameters" => "border-top",
						"multiple" => "div.portfolio-metadata",
						"std" => "1px solid #eeeeee",
						);																														

$style_options[] = array(
						
						"type" => "panelend",
					
						);	
												
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Footer Stylings"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Background",
						"select" => "footerbg",
						"parameters" => "background",
						"multiple" => "#footer",
						"std" => "#38444d < < < ",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Bottom Menu Background",
						"select" => "footerbtmbg",
						"parameters" => "background,border-top",
						"multiple" => "#footer-menu",
						"std" => "#465662 < < <,1px solid #4e5f6b",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Widget Titles",
						"select" => "footerwidgettitle",
						"parameters" => "color,font",
						"multiple" => "#footer .footer-wrap h3.custom-box-title, #footer .footer-wrap h3.footer-heading,div.footer-wrap h3.s-title",
						"std" => "#ffffff , 24px 700 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Text",
						"select" => "footertext",
						"parameters" => "color,font",
						"multiple" => "div.footer-wrap h5.s-sub-title,#footer .footer-wrap .latest-tweets li,.footer-wrap .custom-box-content p,#footer .footer-wrap p,p.footer-text,#footer .footer-wrap ul.latest-tweets li",
						"std" => "#fff , 13px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Links",
						"select" => "footerlinks",
						"parameters" => "color,font",
						"multiple" => "#footer .footer-wrap ul.latest-tweets li a,#footer .footer-wrap ul li a",
						"std" => "#E54D42 , 13px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Links Hover",
						"select" => "footerlinkshover",
						"parameters" => "color,font",
						"multiple" => "#footer .footer-wrap ul.latest-tweets li a:hover,#footer .footer-wrap ul li a:hover",
						"std" => "#ffffff , 13px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Menu Links",
						"select" => "footermenulinks",
						"parameters" => "color,font",
						"multiple" => "#footer-menu .menu li a,html p.footer-text",
						"std" => "#ffffff, 11px 500 normal",
						);

$style_options[] = array(
						"type" => "element",
						"name" => "Footer Menu Links Hover",
						"select" => "footermenulinkshover",
						"parameters" => "color,font",
						"multiple" => "#footer-menu .menu li a:hover",
						"std" => "#E54D42, 11px 500 normal",
						);

$style_options[] = array(
						"type" => "element",
						"name" => "Footer Menu Links Border",
						"select" => "footermenulinks",
						"parameters" => "border-left",
						"multiple" => "#footer-menu .menu li",
						"std" => "1px solid #ffffff",
						);
						
												
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Lists Bottom Border",
						"select" => "footerliborder",
						"parameters" => "border-bottom",
						"multiple" => "#footer .footer-wrap li",
						"std" => "1px solid #6e7d89",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Form Inputs",
						"select" => "footerforminputs",
						"parameters" => "color,background,opacity",
						"multiple" => "html #footer .footer-wrap textarea,html #footer .footer-wrap input[type='text']",
						"std" => "#777777, #000000 < < <,0.8",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Buttons",
						"select" => "footerbuttons",
						"parameters" => "color,background",
						"multiple" => "#footer .footer-wrap .thunder_button, #footer .footer-wrap input[type='submit']",
						"std" => "#ffffff, #E54D42 < < < ",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Footer Buttons Hover",
						"select" => "footerbuttonshvr",
						"parameters" => "color,background",
						"multiple" => "#footer .footer-wrap .thunder_button:hover, #footer .footer-wrap input[type='submit']:hover",
						"std" => "#E54D42, #ffffff < < < ",
						);									
						
$style_options[] = array(
						
						"type" => "panelend",
					
						);										
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Sidebar Stylings"
						);	

$style_options[] = array(
						"type" => "element",
						"name" => "Sidebar Widgets Bottom Border",
						"select" => "sidebarwidbrdr",
						"parameters" => "border-bottom",
						"multiple" => ".sidebar-wrap",
						"std" => "1px solid #dddddd",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Sidebar Widgets Title",
						"select" => "sidebarwidtitle",
						"parameters" => "color,font",
						"multiple" => ".sidebar .sidebar-wrap h3.heading, .sidebar .sidebar-wrap h3.custom-box-title",
						"std" => "#465662,20px 700 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Sidebar Widgets Text",
						"select" => "sidebarwidtext",
						"parameters" => "color,font",
						"multiple" => ".sidebar-wrap ul li, .sidebar-wrap .latest-tweets li",
						"std" => "#758088,12px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Sidebar Widgets Links",
						"select" => "sidebarwidlinks",
						"parameters" => "color,font",
						"multiple" => ".sidebar-wrap ul li a",
						"std" => "#E54D42,12px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Sidebar Widgets Hover Links",
						"select" => "sidebarwidhvrlinks",
						"parameters" => "color,font",
						"multiple" => ".sidebar-wrap ul li a:hover",
						"std" => "#465662,12px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Sidebar Widgets Lists Bottom Border",
						"select" => "sidebarwidlstbtmbrdr",
						"parameters" => "border-bottom",
						"multiple" => ".sidebar-wrap ul li",
						"std" => "1px dotted #dddddd",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Sidebar Forms",
						"select" => "searchinputs",
						"parameters" => "background,border,color",
						"multiple" => ".sidebar .sidebar-wrap input[type='text'],.sidebar .sidebar-wrap textarea",
						"std" => "#ffffff < < <,1px solid #dddddd,#465662",
						);	
						
$style_options[] = array(
						
						"type" => "panelend",													

						);	
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Blog Stylings"
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Blog Title",
						"select" => "blogtitle",
						"parameters" => "color,font",
						"multiple" => "div.blog-template ul.posts li h2.custom-font a",
						"std" => "#E54D42, 32px 500 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Blog Title Hover",
						"select" => "blogtitlehvr",
						"parameters" => "color,font",
						"multiple" => "div.blog-template ul.posts li h2.custom-font a:hover",
						"std" => "#465662, 32px 500 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Blog Meta Info",
						"select" => "blogmeta",
						"parameters" => "color,font",
						"multiple" => "div.extras,.post-meta",
						"std" => "#465662, 12px 400 italic",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Blog Meta Info Links",
						"select" => "blogmetalnk",
						"parameters" => "color,font",
						"multiple" => "div.extras a",
						"std" => "#E54D42, 12px 400 italic",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Blog Meta Info Links Hover State",
						"select" => "blogmetalnkhvr",
						"parameters" => "color,font",
						"multiple" => "div.extras a:hover",
						"std" => "#465662, 12px 400 italic",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Blog Excerpt",
						"select" => "blogexrpt",
						"parameters" => "color,font",
						"multiple" => "div.blog-template ul.posts li div.description .wp-excerpt",
						"std" => "#758088, 13px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Blog Divider",
						"select" => "blogdvd",
						"parameters" => "border-bottom",
						"multiple" => "div.blog-template ul.posts li",
						"std" => "1px solid #dddddd",
						);	
						
$style_options[] = array(
						
						"type" => "panelend",	
						
						);							
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Single Blog Stylings"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Author and Comments Title",
						"select" => "authlink",
						"parameters" => "color,font",
						"multiple" => "#authorbox .authortext h3, #respond h3.custom-font, #comments h3#comments-title, #comments .image-info cite",
						"std" => "#465662, 18px 400 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Author Text",
						"select" => "authtext",
						"parameters" => "color,font",
						"multiple" => "#authorbox .authortext p",
						"std" => "#758088, 13px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Single Blog Strokes",
						"select" => "authstrks",
						"parameters" => "border-bottom,border-top",
						"multiple" => "#authorbox,.fb_comments_template",
						"std" => "1px solid #eeeeee,1px solid #eeeeee",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "HTML Tags Attributes",
						"select" => "htmltagsatt",
						"parameters" => "color,font,background",
						"multiple" => "#comments_template code",
						"std" => "#758088, 12px 400 normal, #ffffff < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Comment Section Links",
						"select" => "commentlinks",
						"parameters" => "color,font",
						"multiple" => "#comments .image-info a, #comments .logged-in-as a, a#cancel-comment-reply-link",
						"std" => "#E54D42, 12px 400 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Comment Section Hover Links",
						"select" => "commenthvrlinks",
						"parameters" => "color,font",
						"multiple" => "#comments .image-info a:hover, #comments .logged-in-as a:hover, a#cancel-comment-reply-link:hover",
						"std" => "#465662, 12px 400 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Comment Section Inputs and Text Area",
						"select" => "commentforms",
						"parameters" => "color,font,background,border",
						"multiple" => "#comments_template textarea,#comments_template input[type=text]",
						"std" => "#465662,13px 400 normal,#f0f0f0 < < <,1px solid #dddddd",
						);
												
						
$style_options[] = array(
						
						"type" => "panelend",
					
						);										
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Pricing tables"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Default Background",
						"select" => "pricingdefaultbg",
						"parameters" => "color,font,background",
						"multiple" => "html .shortcodetable .plans > div ul li.plan_name, html .shortcodetable .plans > div ul li.currency, html .shortcodetable .plans > div",
						"std" => "#ffffff,13px 400 normal,#465662 < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Default Lists Strokes",
						"select" => "pricingdefaultstr",
						"parameters" => "border-bottom",
						"multiple" => "html div.shortcodetable div.plans > div ul li",
						"std" => "1px solid #303D46",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Strokes",
						"select" => "prdefaulttopstr",
						"parameters" => "border-top,border-bottom",
						"multiple" => "html .shortcodetable .plans > div ul li.currency",
						"std" => "1px solid #303D46,1px solid #303D46",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Button Top Stroke",
						"select" => "pricingbtntopstr",
						"parameters" => "border-top",
						"multiple" => "html .shortcodetable .plans > div ul li.sign-button",
						"std" => "1px solid #303D46",
						);
					
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Default Text",
						"select" => "pricingtext",
						"parameters" => "color,font",
						"multiple" => "html div.shortcodetable div.plans > div ul li",
						"std" => "#ffffff,13px 400 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Default Currency Text",
						"select" => "pricingcurreny",
						"parameters" => "color,font",
						"multiple" => "html .shortcodetable .plans > div ul li.currency",
						"std" => "#ffffff,42px 700 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Default Plan Text",
						"select" => "pricingplan",
						"parameters" => "color,font",
						"multiple" => "html .shortcodetable .plans > div ul li.plan_name",
						"std" => "#ffffff, 30px 700 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Default Button",
						"select" => "pricingbutton",
						"parameters" => "color,font,background",
						"multiple" => "html .shortcodetable .plans > div ul li.sign-button a",
						"std" => "#ffffff,13px 400 normal,#E74C3C < < <",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Default Button Hover",
						"select" => "pricingbuttonhvr",
						"parameters" => "color,font,background",
						"multiple" => "html .shortcodetable .plans > div ul li.sign-button a:hover",
						"std" => "#E74C3C,13px 400 normal,#ffffff < < <",
						);

$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Featured Background",
						"select" => "pricingfeaturedbg",
						"parameters" => "color,font,background",
						"multiple" => "html .shortcodetable .plans > div.featured, html .shortcodetable .plans > div.featured ul li.currency, html .shortcodetable .plans > div.featured li.plan_name",
						"std" => "#ffffff,13px 400 normal,#E74C3C < < <",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Featured Lists Strokes",
						"select" => "pricingftrdstr",
						"parameters" => "border-bottom",
						"multiple" => "html .shortcodetable .plans > div.featured ul li",
						"std" => "1px solid #D32C1A",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Featured Strokes",
						"select" => "pricingfeaturedstr",
						"parameters" => "border-top,border-bottom",
						"multiple" => "html .shortcodetable .plans > div.featured ul li.currency",
						"std" => "1px solid #D32C1A,1px solid #D32C1A",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Featured Button Top Stroke",
						"select" => "prcngftrdbtntstr",
						"parameters" => "border-top",
						"multiple" => "html .shortcodetable .plans > div.featured ul li.sign-button ",
						"std" => "1px solid #D32C1A",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Featured Text",
						"select" => "pricingfeaturedtext",
						"parameters" => "color,font",
						"multiple" => "html .shortcodetable .plans > div.featured ul li",
						"std" => "#ffffff,13px 400 normal",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Featured Currency Text",
						"select" => "pricingfeaturedcurreny",
						"parameters" => "color,font",
						"multiple" => "html .shortcodetable .plans > div.featured ul li.currency",
						"std" => "#ffffff,50px 700 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Featured Plan Text",
						"select" => "pricingfeaturedplan",
						"parameters" => "color,font",
						"multiple" => "html .shortcodetable .plans > div.featured li.plan_name",
						"std" => "#ffffff,40px 700 normal",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Featured Button",
						"select" => "pricingfeaturedbutton",
						"parameters" => "color,font,background",
						"multiple" => "html .shortcodetable .plans > div.featured ul li.sign-button a",
						"std" => "#ffffff,13px 400 normal,#465662 < < <",
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pricing Table Featured Button hover",
						"select" => "pricingfeaturedbuttonhvr",
						"parameters" => "color,font,background",
						"multiple" => "html .shortcodetable .plans > div.featured ul li.sign-button a:hover",
						"std" => "#E74C3C,13px 400 normal,#ffffff < < <",
						);	
						
$style_options[] = array(
						
						"type" => "panelend",
					
						);										
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Shortcode styles"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Skill Shortcode Default Color",
						"select" => "skilldefclr",
						"parameters" => "background,color",
						"multiple" => ".skills li .percent-bar",
						"std" => "#465662 < < <,#ffffff",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Skill Shortcode Colored Color",
						"select" => "skillclrdclr",
						"parameters" => "background,color",
						"multiple" => ".skills.color li .percent-bar ",
						"std" => "#E74C3C < < <,#ffffff",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Skill Shortcode Light Color",
						"select" => "skilllghtclr",
						"parameters" => "background,color",
						"multiple" => ".skills.light li .percent-bar ",
						"std" => "#b5b5b4 < < <,#ffffff",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Custom Menu Default Color",
						"select" => "cmenudfclr",
						"parameters" => "background,color",
						"multiple" => ".custom-menu li a",
						"std" => "#ffffff < < <,#465662",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Custom Menu Default Hover Color",
						"select" => "cmenudfclrhvr",
						"parameters" => "background,color",
						"multiple" => ".custom-menu li a:hover",
						"std" => "#fafafa < < <,#E54D42",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Custom Menu Colored Color",
						"select" => "cmenuclrdclr",
						"parameters" => "background,color",
						"multiple" => ".custom-menu.color li a",
						"std" => "#E54D42 < < <,#ffffff",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Custom Menu Colored Hover Color",
						"select" => "cmenuclrdclrhvr",
						"parameters" => "background,color",
						"multiple" => ".custom-menu.color li a:hover",
						"std" => "#465662 < < <,#ffffff",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Custom Menu Dark Color",
						"select" => "cmenudrkclr",
						"parameters" => "background,color",
						"multiple" => ".custom-menu.dark li a",
						"std" => "#465662 < < <,#ffffff",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Custom Menu Dark Hover Color",
						"select" => "cmenudrkclrhvr",
						"parameters" => "background,color",
						"multiple" => ".custom-menu.dark li a:hover",
						"std" => "#2f3b45 < < <,#E54D42",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Accordion Group Heading",
						"select" => "accrdonstrks",
						"parameters" => "border,background,color",
						"multiple" => ".accordion-group",
						"std" => "1px solid #e5e5e5,#fafafa < < <,#465662",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Accordion Content Top Stroke",
						"select" => "accrdontsrk",
						"parameters" => "border-top",
						"multiple" => ".accordion-inner",
						"std" => "1px solid #e5e5e5",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Accordion Active Title",
						"select" => "accrdonacttl",
						"parameters" => "color",
						"multiple" => ".accordion-group .active a",
						"std" => "#E74C3C",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Tabs Active",
						"select" => "tabsactive",
						"parameters" => "border,background,color",
						"multiple" => ".nav-tabs > .active > a, .nav-tabs > .active > a:hover,html .nav-tabs a:hover",
						"std" => "1px solid #e5e5e5,#FFFFFF < < <,#E74C3C",
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Tabs Content Stroke",
						"select" => "tabscbrdr",
						"parameters" => "border",
						"multiple" => ".tab-content",
						"std" => "1px solid #e5e5e5",
						);			

$style_options[] = array(
						
						"type" => "panelend",
					
						);													

$style_options[] = array(
						
						"type" => "panel",
						"name" => "Testimonials stylings"
						);	
						
$style_options[] = array(
						"type" => "element",
						"name" => "Testimonial Text",
						"select" => "testmnltxt",
						"parameters" => "color,font",
						"multiple" => "html .testimonials p",
						"std" => "#465662, 24px 300 italic",
						);																														
	
$style_options[] = array(
						"type" => "element",
						"name" => "Testimonial Name",
						"select" => "testmnlname",
						"parameters" => "color,font",
						"multiple" => ".testimonials .meta-data",
						"std" => "#E74C3C, 14px 500 normal",
						);	
						
$style_options[] = array(
						
						"type" => "panelend",
					
						);										
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Labels and Inputs"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Contact Form Labels",
						"select" => "cformlbls",
						"parameters" => "color,font",
						"multiple" => "div.wpcf7 p",
						"std" => "#465662,16px 400 normal,#f0f0f0 < < <",
						);	
										
$style_options[] = array(
						"type" => "element",
						"name" => "Contact Form Inputs and Text Areas",
						"select" => "cforminputs",
						"parameters" => "color,font,background,border",
						"multiple" => "div.wpcf7 span input[type=text],div.wpcf7 span input[type=email],div.wpcf7 span textarea.wpcf7-textarea",
						"std" => "#465662,13px 400 normal,#f0f0f0 < < <,1px solid #dddddd",
						);	

$style_options[] = array(
						
						"type" => "panelend",
					
						);										
						
$style_options[] = array(
						
						"type" => "panel",
						"name" => "Miscellaneous"
						);
						
$style_options[] = array(
						"type" => "element",
						"name" => "Pre",
						"select" => "pre",
						"parameters" => "color,font,background,border",
						"multiple" => "html pre",
						"std" => "#777,11px 400 normal,#f0f0f0 < < <,1px solid #dddddd",
						);	
																							
$style_options[] = array(
						
						"type" => "panelend",
					
						);	
						
								
						