<?php

// == Layout Calculation =========================================


$layout =  "hasRightSidebar" ; // ~~ For pages existing prior to theme activation should have full width by default ~
$sidebar1 =    "Blog Sidebar";


$content_width = 'two-third-width';
$width = 317;  $height = 415;


$categories = false;
$blog_options = array(

							'content_limit' =>  (int)$super_options[SN."_posts_excerpt_limit"],

							'width' => $width ,
							'height' => $height,
							'meta_data' => $super_options[SN.'_blog_meta_enable'],
							'clear' => 1,
							'label' => 'blog-item-1-',
							'lightbox' => $super_options[SN.'_enable_thumbnail']
						  );


get_header();
?>


<?php
$ar_label = __( 'Search Results for: ', 'h-framework' ). '<span>' . get_search_query() . '</span>';
?>
<div class="title-wrap <?php echo $super_options[SN."_breadcrumbs_enable"]!="true" ? 'no-breadcrumb' : null; ?>">
  	<div class="wrap">
    	<div class="skeleton">
        		<h1 class="custom-title" ><?php echo $ar_label; ?></h1>

         </div>
     </div>
</div>

	</div>

<div class="page-wrapper">
     <?php  if($super_options[SN."_breadcrumbs_enable"]=="true" && !is_front_page()) $helper->breadcrumbs(); ?> <!-- The breadcrumb for the theme -->
<div class=" page content   <?php echo $layout; ?> clearfix blog-template "> <!-- Start of loop -->


    <div class="skeleton">
    <div class="<?php echo $content_width ?> " id="main-content">



     <div class="clearfix" >

      <ul class="clearfix posts"  >
           <?php
               $i = 1;
             $feature_flag = '';
                    if ( have_posts() ) : while ( have_posts() ) : the_post();
                  if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail()))   $feature_flag = ' hasFeaturedImage '; else  $feature_flag = ' ';
                      $more = 0;

                $o ='';


               $format = get_post_class('',$post->ID);

                  ?>


                       <li class="clearfix <?php echo $o.' '.$feature_flag ?> <?php echo $i == 1 ? 'featured-post' : null; ?>">

                <?php
                // == Default Post =========================================================================

                $featured_media = "featured-image" ;
                if ($featured_media == "featured-image" && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) :
                  echo  '<div class="image">';

                    $id = get_post_thumbnail_id();
                    $ar = wp_get_attachment_image_src( $id , array(9999,9999) );
                    $link = get_permalink();

                    if ($i == 1) {
                      echo '<div class="imageholder-wrapper clearfix">'.$helper->imageDisplay(array( "src" => $ar[0] , "height" =>300 , "width" => 751 , "link" => $link,  "lightbox" => false ,"advance_query" => "&amp;a=t" ,"class" => "  "))."</div>";
                    } else{
                      echo '<div class="imageholder-wrapper clearfix">'.$helper->imageDisplay(array( "src" => $ar[0] , "height" =>300 , "width" => 360 , "link" => $link,  "lightbox" => false ,"advance_query" => "&amp;a=t" ,"class" => "  "))."</div>";
                    }
                  echo  '</div>';
                endif;
              ?>

                  <div class="clearfix post-info-wrap">

                <div class="description clearfix ">
                  <h2 class="custom-font"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

                  <?php if($blog_options['meta_data']=="true") : ?>
                    <div class="extras clearfix">
                      <div class="extras-info custom-font">
                        <?php echo $helper->format($super_options[SN.'_blog_meta'],false,true,false);  ?></a>
                      </div>
                    </div>
                  <?php endif; ?>

                  <?php if(get_option(SN."_blog_excerpt")!="true") : ?>
                    <p>
                    <?php
                      $more = 1;
                      $content = get_the_content('');
                      $content = apply_filters('the_content', $content);
                      $content = str_replace(']]>', ']]&gt;', $content);
                      echo $helper->getShortenContent( $blog_options['content_limit'] ,  strip_tags( $content  ) );
                    ?>

                    </p>
                  <?php else : ?>
                    echo "<div class='wp-excerpt'>".do_shortcode(get_the_excerpt())."</div>";
                  <?php endif; ?>

                  <a href="<?php the_permalink(); ?>" class="read-more custom-font thunder_button"> <?php if($super_options[SN.'_more_label']!= "" ) echo do_shortcode($super_options[SN.'_more_label']); ?> </a>
                </div>
              </div>

              </li>
          <?php  $i++; endwhile; else:
              echo  '<h4>'.__("No posts yet !",'h-framework').'</h4>';
            endif;
          ?>
     </ul>



     </div>

       <?php $helper->pagination(); ?>

    </div>
     <?php
	  wp_reset_query();
	 if($layout!="full-width") {  $first_sidebar = false; get_sidebar(); }
	 ?>
</div>
</div>
</div>

<?php get_footer(); ?>