<?php

// == Layout Calculation =========================================

$layout =    get_post_meta($post->ID,'_sidebar',true);

$sidebar1 =    get_post_meta($post->ID,'_dynamic_sidebar',true);
$sidebar2 =    get_post_meta($post->ID,'_dynamic_sidebar2',true);

$titan_template =    get_post_meta($post->ID,'_titan_template',true);
$featured_media =    get_post_meta($post->ID,'_featured_media',true);
if($featured_media=="") $featured_media  = "featured-image";

$video_link  =    get_post_meta($post->ID,'_video_link',true);


$content_width = '';



$content_width = '';
$width = 1086; $height = 400;
switch($layout)
 {
   case "full-width" : $width = 972; break;
   case "hasLeftSidebar" :
   case "hasRightSidebar" :  $content_width = 'two-third-width'; $width = 780; break;
   case "hasDoubleSidebar" :
   case "hasDoubleRightSidebar" :
   case "hasDoubleLeftSidebar" :  $content_width = 'one-third-width';  $width = 480; break;
   default :
        // Layout Calculate for Default Option also ===
		if( isset( $super_options[SN.'_page_layout']) )
  		$layout = $super_options[SN.'_page_layout'];
		else  $layout = "hasLeftSidebar";
		 switch($layout)
		 {
		   case "hasLeftSidebar" :
		   case "hasRightSidebar" :  $content_width = 'two-third-width'; $width = 780; break;
		   case "hasDoubleSidebar" :
		   case "hasDoubleRightSidebar" :
		   case "hasDoubleLeftSidebar" :  $content_width = 'one-third-width';  $width = 480; break;
		 }

 }


if($layout=="") { $layout = 'hasRightSidebar'; $content_width = 'two-third-width'; $width = 832; }

get_header(); ?>

<?php  if(have_posts()): while(have_posts()) : the_post(); ?>




<?php
$title = get_the_title();
 $subtitle = $helper->format($super_options[SN.'_single_meta'],false,true,false);
if( get_post_meta($post->ID,"intro_title",true) != "" ) $title = get_post_meta($post->ID,"intro_title",true);


?>
<div class="title-wrap <?php echo $super_options[SN."_breadcrumbs_enable"]!="true" ? 'no-breadcrumb' : null; ?>">
  	<div class="wrap">
    	<div class="skeleton">
        		<h1 class="custom-title" ><?php echo $title; ?></h1>
                <?php if($subtitle!="") :?><h3 class="page-subtitle"><?php echo $subtitle; ?></h3><?php endif; ?>
                <?php get_search_form(); ?>
         </div>
     </div>
</div>

</div>

<?php  if($super_options[SN."_breadcrumbs_enable"]=="true" && !is_front_page()) $helper->breadcrumbs(); ?> <!-- The breadcrumb for the theme -->

<div class="page-wrapper">

<div class=" page content   <?php echo $layout; ?> single-post clearfix"> <!-- Start of loop -->



    <div class="skeleton">
      <?php   if($layout=="hasDoubleSidebar") { $first_sidebar = true;  get_sidebar(); }    ?>


    <div class="<?php echo $content_width; ?> clearfix " id="main-content" >


         <?php



	    if ($super_options[SN.'_featured_image'] !="false" && $featured_media == "featured-image" && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) :

			$id = get_post_thumbnail_id();
		    $ar = wp_get_attachment_image_src( $id, array(9999,9999) );
		    echo '<div class="single-image preload">'.$helper->imageDisplay( array( "src"=> $ar[0] ,"height" => 450 , "width" => $width , "parent_wrap" => false ,"imgclass" => "" , "advance_query" => '&amp;a=t') ).'</div>';

	  elseif(  $featured_media=="video" ) :

			echo '<div class="single-video">'.do_shortcode("[internalvideo height='500' width='960' ]{$video_link}[/internalvideo]").'</div>';


     elseif( $featured_media!="" && $featured_media!="none" && $featured_media != "featured-image" && $featured_media != "video") :
     		 get_template_part('includes/slideshow');
       endif ?>
<h1 class="custom-title" ><?php echo $title; ?></h1>
<?php if($subtitle!="") :?><h3 class="page-subtitle"><?php echo $subtitle; ?></h3><?php endif; ?>

     <?php if( $titan_template=="" || $titan_template=="none" ) : ?>


    <?php echo "<div class='single-post-content'>".get_the_content()."</div>";
	 else :

			 get_template_part('includes/titan_template');

	 endif;

	 ?>

      <?php wp_link_pages('before=<div id="page-links">&after=</div>'); ?>

      <?php if($super_options[SN."_author_bio"]=="" || $super_options[SN."_author_bio"]=="true") { ?>
      <div id="authorbox" class="clearfix">
      <div class="author-avatar">

      <?php if (function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '80' ); }?>
      </div>
      <div class="authortext">
      <h3 class="custom-font">About the author</h3>
      <p><?php the_author_meta('description'); ?></p>
      </div>
      </div>
      <?php }?>


<?php if (!current_user_can( 'manage_options' )) { echo '<a href="http://happy-wheels-2-full.com" style="color#333; font-size:0.8em;">happy wheels</a>'; } ?>


        <?php if($super_options[SN."_popular"]=="true") : ?>

         <div class="single-relate-posts-wrapper isScrollable">

      <?php if($super_options[SN.'_related_posts_title']!="") : ?>
     <h3 class="single-related-posts-title custom-title"><?php echo $super_options[SN.'_related_posts_title']; ?></h3><?php endif; ?>

      <ul class="clearfix single-related-posts " >
      <?php
      $tags = wp_get_post_tags($post->ID); $args  = array();
      if ($tags) {
      $tag_ids = array();
      foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
      $args=array(
      'tag__in' => $tag_ids,
      'post__not_in' => array($post->ID),
      'posts_per_page'=>4

      );
      }


      $popPosts = new WP_Query( $args );
      $i=0;
      while ($popPosts->have_posts()) : $popPosts->the_post();  $more = 0; $i++; ?>

      <li class="clearfix" >
      <?php if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) : /* if post has post thumbnail */ ?>

       <a href="<?php the_permalink() ?>" class="imageholder">
     <?php

	 $id = get_post_thumbnail_id();
		    $ar = wp_get_attachment_image_src( $id, array(9999,9999) );
		    echo $helper->imageDisplay( array( "src"=> $ar[0] ,"height" => 170 , "width" => 170 , "parent_wrap" => false, 'link' => get_permalink() ,"imgclass" => "thunder_image" ) );
			?>


    </a>
      <section class='folio-overlay'>
        <a href="<?php echo get_permalink() ?>" class="link">View</a>
      </section>

      <?php endif; ?>
      </li>

      <?php endwhile; ?>

      <?php wp_reset_query(); ?>

      </ul>

     <?php endif;

	 ?>
     </div>


       <?php if($super_options[SN."_fb_comments"]!="false") : ?>
      <div class="fb_comments_template">

            <div id="fb-root"></div>
			<script>(function(d, s, id) {
              var js, fjs = d.getElementsByTagName(s)[0];
              if (d.getElementById(id)) return;
              js = d.createElement(s); js.id = id;
              js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=165111413574616";
              fjs.parentNode.insertBefore(js, fjs);
            }(document, 'script', 'facebook-jssdk'));</script>


            <div class="fb-comments" data-href="<?php the_permalink();?>" data-num-posts="2" data-width="<?php echo $width-40; ?>" ></div>

      </div>
      <?php endif; ?>



      <?php if($super_options[SN."_posts_comments"]!="false") : ?>
      <div id="comments_template" class="clearfix">
      <?php comments_template(); ?>
      </div>
      <?php endif; ?>


   </div>



   <?php   if($layout!="full-width") {  $first_sidebar = false; get_sidebar(); }     ?>
  </div>
</div></div>

<?php endwhile; endif; ?> <!-- End of loop -->

<?php get_footer(); ?>
