<?php
/*
Template Name: Portfolio 1 Column Page Template
*/
?>

<?php
// == Layout Calculation =========================================

$layout =    get_post_meta($post->ID,'_sidebar',true);
$layout =  "full-width" ; // ~~ For pages existing prior to theme activation should have full width by default ~

$sidebar1 =    get_post_meta($post->ID,'_dynamic_sidebar',true);
$sidebar2 =    get_post_meta($post->ID,'_dynamic_sidebar2',true);


$content_width = '';
$width = 450; $height = $super_options[SN.'_portfolio1_image_height'];

switch($layout)
 {
   case "hasLeftSidebar" :
   case "hasRightSidebar" :  $content_width = 'two-third-width'; $width = 120; $height = 90; break;
   case "hasDoubleSidebar" :

 }
$categories = (!is_array(get_post_meta($post->ID,"_portfolio_filter",true)) ) ? false : get_post_meta($post->ID,"_portfolio_filter",true);
$live =  (trim(get_post_meta($post->ID,"_live_filter",true))=="") ? "No" : get_post_meta($post->ID,"_live_filter",true);

$meta_filters =  ( trim(get_post_meta($post->ID,"_meta_filter",true))=="") ? "none" : get_post_meta($post->ID,"_meta_filter",true);
$order =  ( trim(get_post_meta($post->ID,"_order",true))=="") ? "none" : get_post_meta($post->ID,"_order",true);

$portfolio_options = array(
							'items_limit' => $super_options[SN."_portfolio1_item_limit"],
							'content_limit' =>  $super_options[SN.'_portfolio1_limit'],
    				  	    'categories' => $categories,
							'meta_filters' => $meta_filters,
							'order' => $order,
							'width' => $width ,
							'height' => $height,
							'meta_data' => false,
							'clear' => 4,
							'label' => 'portfolio-item-4-',
							'lightbox' => $super_options[SN.'_portfolio_enable_thumbnail']
						  );


get_header(); ?>

<?php  if(have_posts()): while(have_posts()) : the_post(); ?>

<?php $page_style =  strtolower(get_post_meta($post->ID,"_page_style",true)); ?>
<?php if( $page_style == "slider" ) : //check if homepage slider is active ?>

    <?php $main_slider =  strtolower(get_post_meta($post->ID,"_main_slider",true)); ?>
    <?php $slider_type =  strtolower(get_post_meta($post->ID,"_slider_type",true)); ?>

    <?php

        /* Grab the slider id from the DB */
        $table_db_name = $wpdb->prefix . "revslider_sliders";
        $slider =  array_shift($wpdb->get_results("SELECT * FROM $table_db_name WHERE title = '".$main_slider."'",ARRAY_A));
        $slider_alias = $slider['alias'];

        /* Output slider with shortcode */

    ?>

    <div id="home-slider" class='<?php $slider_type == 'fixed width' ? 'has-max-width' : null; ?>'> <!--  Parent Slider Container -->
        <div class="clearfix homeslidercontainer skeleton "> <!--   Slider Container -->
            <?php putRevSlider($slider_alias); ?>
        </div> <!--  End of Parent Slider Container -->
    </div> <!-- End of Parent Slider Container -->

<?php elseif ($page_style == 'title'): ?>

<?php
$title = get_the_title();
$subtitle = '';
if( get_post_meta($post->ID,"intro_title",true) != "" ) $title = get_post_meta($post->ID,"intro_title",true);
if( get_post_meta($post->ID,"intro_text",true) != "" )  $subtitle = get_post_meta($post->ID,"intro_text",true);

?>
  <div class="title-wrap <?php $super_options[SN."_breadcrumbs_enable"]!="true" ? 'no-breadcrumb' : null; ?>">
      <div class="wrap">
        <div class="skeleton">
              <h1 class="custom-title" ><?php echo $title; ?></h1>
              <?php if($subtitle!="") :?><h3 class="page-subtitle"><?php echo $subtitle; ?></h3><?php endif; ?>
              <?php get_search_form(); ?>
           </div>
       </div>
  </div>
<?php endif; ?>
<div class="page-wrapper">



 <?php  if($super_options[SN."_breadcrumbs_enable"]=="true" && !is_front_page()) $helper->breadcrumbs(); ?> <!-- The breadcrumb for the theme -->
      <?php if($live!="No") : ?>   <div class="portfolio-taxonomy thunder_listener clearfix">


     <div class="skeleton">
        <ul class="clearfix">
          <li class="active"><a href="#">All</a></li>
          <?php  wp_list_categories("&title_li=&taxonomy=portfoliocategories");  ?>
        </ul>
     </div>

    </div> <?php endif; ?>

<div class=" page content   clearfix full-portfolio-template "> <!-- Start of loop -->

    <div class="<?php echo $layout ?> " id="main-content">





	 <?php the_content(); ?>



     <div class="portfolio-one-column skeleton clearfix filterable thunder_listener" data-nos="1">
     	<?php get_template_part('includes/loop','portfolio-full'); ?>
     </div>



    </div>

<div class="full-pagination">
	<div class="skeleton">
    	 <?php $helper->pagination(); ?>
    </div>
</div>

     <?php
	  wp_reset_query();
	  if($layout!="full-width") {  $first_sidebar = false; get_sidebar(); }
	 ?>

</div>
</div>
<?php endwhile; endif; ?> <!-- End of loop -->

<?php get_footer(); ?>