// JavaScript Document

var loc = jQuery('#titanurl').attr('href');
var img_loc = loc+"/css/i/icon.png";
loc = loc + "/framework/shortcode_listener.php";
// Creates a new plugin class
tinymce.create('tinymce.plugins.button', {
    createControl: function(n, cm)
                {
                    switch (n) {
            case 'button':
                var c = cm.createMenuButton('Shortcodes', {
   title : 'WPTitans Shortcode Editor',
    image : img_loc
});

c.onRenderMenu.add(function(c, m) {
    m.add({title : 'Shortcodes', 'class' : 'mceMenuItemTitle'}).setDisabled(1);

	/* Main Menu Layout */

	var generalSub = m.addMenu({title : 'General', onclick : function() {   }});
	var typographySub = m.addMenu({title : 'Typography', onclick : function() {   }});
	var widgetsSub = m.addMenu({title : 'Widgets', onclick : function() {   }});
	var specialSub = m.addMenu({title : 'Specials', onclick : function() {   }});
	var socialSub = m.addMenu({title : 'Social', onclick : function() {   }});
	var miscSub = m.addMenu({title : 'Miscellaneous', onclick : function() {   }});

	/* == General =========================================== */

		// == Layout Maker ===========================================
		 generalSub.add({title : 'Columns' ,onclick:function(){
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=layout");
			jQuery("#TB_ajaxContent").css({
			  width: jQuery("#TB_ajaxContent").parent().width(),
			  height: jQuery("#TB_ajaxContent").parent().height()-30,
			  margin: 0 , padding: 0 , overflow:"auto"
			});
			}
		 });

	    // == Button Maker ===========================================

		 generalSub.add({title : 'Buttons' ,onclick:function(){
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=button");
			jQuery("#TB_ajaxContent").css({
			  width: jQuery("#TB_ajaxContent").parent().width(),
			  height: jQuery("#TB_ajaxContent").parent().height()-30,
			  margin: 0 , padding: 0 , overflow:"auto"
			});
			}
		 });

		// == Posts =======================================
		generalSub.add({title : 'Posts' ,onclick:function(){
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=posts");
			jQuery("#TB_ajaxContent").css({
			  width: jQuery("#TB_ajaxContent").parent().width(),
			  height: jQuery("#TB_ajaxContent").parent().height()-30,
			  margin: 0 , padding: 0 , overflow:"auto"
			});
			}
		 });

		// == Portfolio =======================================
		generalSub.add({title : 'Portfolios', onclick : function() {
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=portfolio");
			jQuery("#TB_ajaxContent").css({
			  width: jQuery("#TB_ajaxContent").parent().width(),
			  height: jQuery("#TB_ajaxContent").parent().height()-30,
			  margin: 0 , padding: 0 , overflow:"auto"
			});
			}
		});

    /* == End of General =========================================== */

    /* == Typography =========================================== */

	    // == Typography shortcode

		typographySub.add({title : 'Quotes', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanquotes]'+tinyMCE.activeEditor.selection.getContent()+"[/titanquotes]");  }});
		typographySub.add({title : 'Quotes Left', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanquotes_left]'+tinyMCE.activeEditor.selection.getContent()+"[/titanquotes_left]");  }});
		typographySub.add({title : 'Quotes Right', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanquotes_right]'+tinyMCE.activeEditor.selection.getContent()+"[/titanquotes_right]");  }});
		typographySub.add({title : 'Highlight', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanhighlight style="style1"]'+tinyMCE.activeEditor.selection.getContent()+"[/titanhighlight]");  }});

		// == Lists =======================================
		typographySub.add({title : 'Lists', onclick : function() {
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=styled-list");
			jQuery("#TB_ajaxContent").css({
				width: jQuery("#TB_ajaxContent").parent().width()-30,
				height: jQuery("#TB_ajaxContent").parent().height()-40
			});
		}});

		// == Titles =======================================
		typographySub.add({title : 'Titles', onclick : function() {
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=title");
			jQuery("#TB_ajaxContent").css({
				width: jQuery("#TB_ajaxContent").parent().width()-30,
				height: jQuery("#TB_ajaxContent").parent().height()-40
			});
		}});

    /* == End of Typography =========================================== */

    /* == Widgets =========================================== */

	    widgetsSub.add({title : 'Tabs', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titantabs][titantab title="tab title"] your content here... [/titantab][/titantabs]');   }});
		widgetsSub.add({title : 'Toggles', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titantoggle  title="toggle title" collapse="false" ] your content here...  [/titantoggle]');   }});
		widgetsSub.add({title : 'Accordions', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanaccordion][titansection  title="accordion title" collapse="false" ] your content here...  [/titansection][/titanaccordion]');   }});
		widgetsSub.add({title : 'Google Maps', onclick : function() { tinyMCE.activeEditor.selection.setContent("[titanmap address='street, zip, city, country' width='1000' height='500' /]");   }});
		widgetsSub.add({title : 'Error Alerts', onclick : function() {  tinyMCE.activeEditor.selection.setContent('[titanerror_box title="your title" ]'+tinyMCE.activeEditor.selection.getContent()+"[/titanerror_box]");  }});
		widgetsSub.add({title : 'Success Alerts', onclick : function() {  tinyMCE.activeEditor.selection.setContent('[titansuccess_box title="your title"   ]'+tinyMCE.activeEditor.selection.getContent()+"[/titansuccess_box]");  }});
		widgetsSub.add({title : 'Info Alerts', onclick : function() {  tinyMCE.activeEditor.selection.setContent('[titaninformation_box title="your title" ]'+tinyMCE.activeEditor.selection.getContent()+"[/information_box]");  }});
		widgetsSub.add({title : 'Warning Alerts', onclick : function() {  tinyMCE.activeEditor.selection.setContent('[titanwarning_box title="your title"   ]'+tinyMCE.activeEditor.selection.getContent()+"[/titanwarning_box]");  }});

    /* == End of Widgets =========================================== */

    /* == Special Shortcodes =========================================== */

	    specialSub.add({title : 'Slideshows', onclick : function() {
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=slider");
			jQuery("#TB_ajaxContent").css({
				width: jQuery("#TB_ajaxContent").parent().width()-30,
				height: jQuery("#TB_ajaxContent").parent().height()-40
			});
		}});

		// == Pricing Tables =======================================
		specialSub.add({title : 'Pricing Tables', onclick : function() {
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=tables");
			jQuery("#TB_ajaxContent").css({
				width: jQuery("#TB_ajaxContent").parent().width()-30,
				height: jQuery("#TB_ajaxContent").parent().height()-40
			});
		}});

		// == Custom Menu =======================================
		specialSub.add({title : 'Custom Menus', onclick : function() {
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=custom-menu");
			jQuery("#TB_ajaxContent").css({
				width: jQuery("#TB_ajaxContent").parent().width()-30,
				height: jQuery("#TB_ajaxContent").parent().height()-40
			});
		}});

		// == Charts =======================================
		specialSub.add({title : 'Charts', onclick : function() {
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=chart");
			jQuery("#TB_ajaxContent").css({
				width: jQuery("#TB_ajaxContent").parent().width()-30,
				height: jQuery("#TB_ajaxContent").parent().height()-40
			});
		}});

		// == Skills =======================================
		specialSub.add({title : 'Skills', onclick : function() {
			tb_show('Insert Shortcode',"#TB_inline");
			jQuery("#TB_ajaxContent").load(loc+"?type=skills");
			jQuery("#TB_ajaxContent").css({
				width: jQuery("#TB_ajaxContent").parent().width()-30,
				height: jQuery("#TB_ajaxContent").parent().height()-40
			});
		}});

    // == End of Special Shortcodes ===========================================

    // == Social ===========================================

    	socialSub.add({title : 'Twitter', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titantweet name="yourusername" hashtags="test1,test2,test3" text="exicting offers" type="none" /]');   }});
		socialSub.add({title : 'Facebook', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanfacebook layout="standard"/]');   }});
		socialSub.add({title : 'Google+', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titangoogle size="small"/]');   }});
		socialSub.add({title : 'Digg', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titandigg size="Compact"]');   }});
		socialSub.add({title : 'StumbleUpon', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanstumbleupon layout=1 /]');   }});
		socialSub.add({title : 'Pinterest Follow', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanpinterestfollow  user=""  /]');   }});
		socialSub.add({title : 'Pinterest Follow Small', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanpinterestfollow_small user="" /]');   }});
		socialSub.add({title : 'Pinterest Pin', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanpinterest on_url="" to_url="" /]');   }});

    // == End of Social ===========================================


    // == Misc ===========================================

	miscSub.add({title : 'Tooltips', onclick : function() {  tinyMCE.activeEditor.selection.setContent('[titantooltip tip_data="your title" ]'+tinyMCE.activeEditor.selection.getContent()+"[/titantooltip]");  }});
	miscSub.add({title : 'popovers', onclick : function() {  tinyMCE.activeEditor.selection.setContent('[titanpopover position="left" title="your title" data="your popver content here" ]'+tinyMCE.activeEditor.selection.getContent()+"[/titanpopover]");  }});
	miscSub.add({title : 'PRE', onclick : function() { tinyMCE.activeEditor.selection.setContent('[titanpre]'+tinyMCE.activeEditor.selection.getContent()+"[/titanpre]");  }});

	// == Icons ===========================================

	miscSub.add({title : 'Icon', onclick : function() {

	tb_show('Insert Shortcode',"#TB_inline");
		jQuery("#TB_ajaxContent").load(loc+"?type=icons");
		jQuery("#TB_ajaxContent").css({
			width: jQuery("#TB_ajaxContent").parent().width()-30,
			height: jQuery("#TB_ajaxContent").parent().height()-40
		});
	}});

	// == Seperator ========================================
	miscSub.add({title : 'Separators', onclick : function() {  tinyMCE.activeEditor.selection.setContent('[titanseparator /]');  }});

	// == Video shortcode ========================================
	miscSub.add({title : 'Videos', onclick : function() {  tinyMCE.activeEditor.selection.setContent("[titanvideo width='1000' height='500']your url here[/titanvideo]")  }});

});


// Return the new splitbutton instance
return c;
}


return null;
}
});

// Register plugin
tinymce.PluginManager.add('button', tinymce.plugins.button);