<?php
/*
Plugin Name: WPTitan Tables
Plugin URI: http://titanplug.in
Description: Free Tables solution.
Version: 1.0
Code Name : Eon
Author: WPTitans
Author URI: http://titanplug.in
*/
?>
<?php


$table_db_name = $wpdb->prefix . "megatables";


define('TITANTTPATH',dirname(__FILE__));
define('TITANTTURL',WP_PLUGIN_URL.'/titan_tables');

define('TITANTTFPATH',TITANTTPATH."/framework");
define('TITANTTFURL',TITANTTURL."/framework");



register_activation_hook(__FILE__,'megatables_install');

function megatables_install () {
   global $wpdb;
   $megatables_db_version = "2.3";

   $table_name = $wpdb->prefix . "megatables";
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
      
      $sql = "CREATE TABLE " . $table_name . " (
	   id varchar(40) NOT NULL ,
	  table_name varchar(240),
	  table_title varchar(240),
	  plan_name text,
	  plan_pricing_suffix text,
	  plan_pricing text,
	  plan_pricing_symbol varchar(20),
	  plan_link text,
	  class_name varchar(60),
	  feature_value text,
	  featured_index text,
	  columns text,
	  UNIQUE KEY id (id)
	);";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);
	  $alter_charset = "ALTER TABLE $table_name CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci";
	  dbDelta($alter_charset);
	   
      add_option("megatables_db_version", $megatables_db_version);

   }
   else
   {
	   $installed_ver = get_option( "megatables_db_version" );

   if( $installed_ver != "2.2" ) {

     $sql = "CREATE TABLE " . $table_name . " (
	   id varchar(40) NOT NULL ,
	  table_name varchar(240),
	  table_title varchar(240),
	  plan_name text,
	  plan_pricing_suffix text,
	  plan_pricing text,
	  plan_pricing_symbol varchar(20),
	  plan_link text,
	  class_name varchar(60),
	  feature_value text,
	  featured_index text,
	  columns text,
	  UNIQUE KEY id (id)
	);";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);
      $alter_charset = "ALTER TABLE $table_name CONVERT TO CHARACTER SET utf8 COLLATE utf8_unicode_ci";
	  $wpdb->query($alter_charset);
	  
      update_option( "megatables_db_version", "2.2" );
  }
   }
}



//  ============ Front End Hooks ======================================


function addTitantablesFrontScripts() {


wp_enqueue_style('titantablesfront',TITANTTURL.'/css/titantable_front.css');



}

if(!is_admin())	
add_action('init','addTitantablesFrontScripts');	


// == Hook to trigger some modules on plugin activation ========================= 




include('framework/class_admin_panel_maker.php');
include('framework/pricingmanager.php');
include('framework/pricinglistmanager.php');
include_once('framework/frontend.php');

